#ifndef _GEN_H
#define _GEN_H
#include <cfortran/cfortran.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Subroutines/Functions with COMPLEX not supported ***

#define CBSJA(A1,A2,A3,A4,A5)  CCALLSFSUB5(CBSJA,cbsja,COMPLEX,FLOAT,INT,INT,PCOMPLEX,A1,A2,A3,A4,A5)
#define WBSJA(A1,A2,A3,A4,A5)  CCALLSFSUB5(WBSJA,wbsja,COMPLEX,DOUBLE,INT,INT,PCOMPLEX,A1,A2,A3,A4,A5)
PROTOCCALLSFFUN1(COMPLEX,CDIGAM,cdigam,COMPLEX)
#define CDIGAM(A2)  CCALLSFFUN1(CDIGAM,cdigam,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,WDIGAM,wdigam,COMPLEX)
#define WDIGAM(A2)  CCALLSFFUN1(WDIGAM,wdigam,COMPLEX,A2)
#define CELFUN(A1,A2,A3,A4,A5)  CCALLSFSUB5(CELFUN,celfun,COMPLEX,FLOAT,PCOMPLEX,PCOMPLEX,PCOMPLEX,A1,A2,A3,A4,A5)
#define WELFUN(A1,A2,A3,A4,A5)  CCALLSFSUB5(WELFUN,welfun,COMPLEX,DOUBLE,PCOMPLEX,PCOMPLEX,PCOMPLEX,A1,A2,A3,A4,A5)
PROTOCCALLSFFUN4(COMPLEX,CELINT,celint,COMPLEX,FLOAT,FLOAT,FLOAT)
#define CELINT(A2,A3,A4,A5)  CCALLSFFUN4(CELINT,celint,COMPLEX,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5)
PROTOCCALLSFFUN4(COMPLEX,WELINT,welint,COMPLEX,DOUBLE,DOUBLE,DOUBLE)
#define WELINT(A2,A3,A4,A5)  CCALLSFFUN4(WELINT,welint,COMPLEX,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5)
PROTOCCALLSFFUN1(COMPLEX,CEXPIN,cexpin,COMPLEX)
#define CEXPIN(A2)  CCALLSFFUN1(CEXPIN,cexpin,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,WEXPIN,wexpin,COMPLEX)
#define WEXPIN(A2)  CCALLSFFUN1(WEXPIN,wexpin,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,CGAMMA,cgamma,COMPLEX)
#define CGAMMA(A2)  CCALLSFFUN1(CGAMMA,cgamma,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,WGAMMA,wgamma,COMPLEX)
#define WGAMMA(A2)  CCALLSFFUN1(WGAMMA,wgamma,COMPLEX,A2)
PROTOCCALLSFFUN4(COMPLEX,CGAUSS,cgauss,ROUTINE,COMPLEX,COMPLEX,FLOAT)
#define CGAUSS(A2,A3,A4,A5)  CCALLSFFUN4(CGAUSS,cgauss,ROUTINE,COMPLEX,COMPLEX,FLOAT,A2,A3,A4,A5)
PROTOCCALLSFFUN4(COMPLEX,WGAUSS,wgauss,ROUTINE,COMPLEX,COMPLEX,DOUBLE)
#define WGAUSS(A2,A3,A4,A5)  CCALLSFFUN4(WGAUSS,wgauss,ROUTINE,COMPLEX,COMPLEX,DOUBLE,A2,A3,A4,A5)
PROTOCCALLSFFUN3(COMPLEX,CGPLG,cgplg,INT,INT,FLOAT)
#define CGPLG(A2,A3,A4)  CCALLSFFUN3(CGPLG,cgplg,INT,INT,FLOAT,A2,A3,A4)
PROTOCCALLSFFUN3(COMPLEX,WGPLG,wgplg,INT,INT,DOUBLE)
#define WGPLG(A2,A3,A4)  CCALLSFFUN3(WGPLG,wgplg,INT,INT,DOUBLE,A2,A3,A4)
PROTOCCALLSFFUN1(COMPLEX,CLGAMA,clgama,COMPLEX)
#define CLGAMA(A2)  CCALLSFFUN1(CLGAMA,clgama,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,WLGAMA,wlgama,COMPLEX)
#define WLGAMA(A2)  CCALLSFFUN1(WLGAMA,wlgama,COMPLEX,A2)
#define CIRCLE(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CIRCLE,circle,PCOMPLEX,FLOAT,COMPLEXV,COMPLEXV,INT,PINT,INT,A1,A2,A3,A4,A5,A6,A7)
PROTOCCALLSFFUN3(COMPLEX,CLOGOK,clogok,COMPLEX,INT,INT)
#define CLOGOK(A2,A3,A4)  CCALLSFFUN3(CLOGOK,clogok,COMPLEX,INT,INT,A2,A3,A4)
#define WPOLYZ(A1,A2,A3,A4,A5)  CCALLSFSUB5(WPOLYZ,wpolyz,COMPLEXV,INT,INT,PCOMPLEX,PDOUBLE,A1,A2,A3,A4,A5)
#define CPSC(A1,A2,A3,A4,A5)  CCALLSFSUB5(CPSC,cpsc,COMPLEX,COMPLEX,INT,PCOMPLEX,PFLOAT,A1,A2,A3,A4,A5)
PROTOCCALLSFFUN3(FLOAT,CRIT,crit,COMPLEX,COMPLEX,FLOAT)
#define CRIT(A2,A3,A4)  CCALLSFFUN3(CRIT,crit,COMPLEX,COMPLEX,FLOAT,A2,A3,A4)
PROTOCCALLSFFUN3(COMPLEX,CSQRTK,csqrtk,COMPLEX,INT,INT)
#define CSQRTK(A2,A3,A4)  CCALLSFFUN3(CSQRTK,csqrtk,COMPLEX,INT,INT,A2,A3,A4)
PROTOCCALLSFFUN1(COMPLEX,CWERF,cwerf,COMPLEX)
#define CWERF(A2)  CCALLSFFUN1(CWERF,cwerf,COMPLEX,A2)
PROTOCCALLSFFUN1(COMPLEX,WWERF,wwerf,COMPLEX)
#define WWERF(A2)  CCALLSFFUN1(WWERF,wwerf,COMPLEX,A2)
PROTOCCALLSFFUN3(COMPLEX,CWHITM,cwhitm,COMPLEX,COMPLEX,COMPLEX)
#define CWHITM(A2,A3,A4)  CCALLSFFUN3(CWHITM,cwhitm,COMPLEX,COMPLEX,COMPLEX,A2,A3,A4)
PROTOCCALLSFFUN3(COMPLEX,WWHITM,wwhitm,COMPLEX,COMPLEX,COMPLEX)
#define WWHITM(A2,A3,A4)  CCALLSFFUN3(WWHITM,wwhitm,COMPLEX,COMPLEX,COMPLEX,A2,A3,A4)
#define DEFLAT(A1,A2,A3)  CCALLSFSUB3(DEFLAT,deflat,PCOMPLEX,PINT,COMPLEX,A1,A2,A3)
#define HYPGM(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(HYPGM,hypgm,COMPLEX,COMPLEX,COMPLEX,COMPLEX,PCOMPLEX,FLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)
#define LEGFN(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(LEGFN,legfn,COMPLEX,COMPLEX,PCOMPLEX,PCOMPLEX,PINT,INT,A1,A2,A3,A4,A5,A6)
PROTOCCALLSFFUN3(INT,NZERFZ,nzerfz,COMPLEX,COMPLEXV,INT)
#define NZERFZ(A2,A3,A4)  CCALLSFFUN3(NZERFZ,nzerfz,COMPLEX,COMPLEXV,INT,A2,A3,A4)
#define NZEROS(A1,A2,A3,A4)  CCALLSFSUB4(NZEROS,nzeros,PINT,COMPLEX,FLOAT,COMPLEX,A1,A2,A3,A4)
#define POLY2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(POLY2,poly2,COMPLEXV,INT,PCOMPLEX,PFLOAT,INT,INT,A1,A2,A3,A4,A5,A6)
#define PREP(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(PREP,prep,PCOMPLEX,PCOMPLEX,PCOMPLEX,INT,COMPLEX,FLOAT,PINT,COMPLEX,A1,A2,A3,A4,A5,A6,A7,A8)
PROTOCCALLSFFUN13(COMPLEX,C309R1,c309r1,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL,DOUBLE,COMPLEX)
#define C309R1(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFFUN13(C309R1,c309r1,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL,DOUBLE,COMPLEX,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)
PROTOCCALLSFFUN12(COMPLEX,C309R2,c309r2,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,DOUBLE)
#define C309R2(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFFUN12(C309R2,c309r2,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)
PROTOCCALLSFFUN9(COMPLEX,C309R3,c309r3,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PDOUBLE,DOUBLE,PINT,PCOMPLEX)
#define C309R3(A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFFUN9(C309R3,c309r3,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PDOUBLE,DOUBLE,PINT,PCOMPLEX,A2,A3,A4,A5,A6,A7,A8,A9,A10)
PROTOCCALLSFFUN13(COMPLEX,C309R5,c309r5,COMPLEX,COMPLEX,COMPLEX,DOUBLE,PCOMPLEX,PCOMPLEX,LOGICAL,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL)
#define C309R5(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFFUN13(C309R5,c309r5,COMPLEX,COMPLEX,COMPLEX,DOUBLE,PCOMPLEX,PCOMPLEX,LOGICAL,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)
PROTOCCALLSFFUN13(COMPLEX,C309R6,c309r6,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PINT,PCOMPLEX,PDOUBLE,DOUBLE,PCOMPLEX,PCOMPLEX,COMPLEXV)
#define C309R6(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFFUN13(C309R6,c309r6,COMPLEX,COMPLEX,COMPLEX,COMPLEX,DOUBLE,INT,PINT,PCOMPLEX,PDOUBLE,DOUBLE,PCOMPLEX,PCOMPLEX,COMPLEXV,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)
#define C309R7(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(C309R7,c309r7,COMPLEXV,PCOMPLEX,INT,PINT,PCOMPLEX,DOUBLE,A1,A2,A3,A4,A5,A6)
PROTOCCALLSFFUN2(COMPLEX,C309R8,c309r8,COMPLEX,DOUBLE)
#define C309R8(A2,A3)  CCALLSFFUN2(C309R8,c309r8,COMPLEX,DOUBLE,A2,A3)
PROTOCCALLSFFUN3(COMPLEX,RGAM,rgam,COMPLEX,COMPLEX,COMPLEX)
#define RGAM(A2,A3,A4)  CCALLSFFUN3(RGAM,rgam,COMPLEX,COMPLEX,COMPLEX,A2,A3,A4)
#define DMULLZ(A1,A2,A3,A4)  CCALLSFSUB4(DMULLZ,dmullz,DOUBLEV,INT,INT,PCOMPLEX,A1,A2,A3,A4)
#define DRTEQ4(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DRTEQ4,drteq4,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PCOMPLEX,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7)
#define VP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(VP,vp,PCOMPLEX,COMPLEX,COMPLEXV,INT,PINT,INT,A1,A2,A3,A4,A5,A6)
#define WCLBES(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(WCLBES,wclbes,COMPLEX,COMPLEX,COMPLEX,INT,PCOMPLEX,PCOMPLEX,PCOMPLEX,PCOMPLEX,PCOMPLEX,INT,INT,PINT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

*** End Subroutines/Functions using COMPLEX */

PROTOCCALLSFFUN1(FLOAT,ADIGAM,adigam,FLOAT)
#define ADIGAM(A2)  CCALLSFFUN1(ADIGAM,adigam,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,ALGAMA,algama,FLOAT)
#define ALGAMA(A2)  CCALLSFFUN1(ALGAMA,algama,FLOAT,A2)
/*
PROTOCCALLSFFUN1(FLOAT,QLGAMA,qlgama,FLOAT)
#define QLGAMA(A2)  CCALLSFFUN1(QLGAMA,qlgama,FLOAT,A2)
*/
PROTOCCALLSFFUN1(DOUBLE,DLGAMA,dlgama,DOUBLE)
#define DLGAMA(A2)  CCALLSFFUN1(DLGAMA,dlgama,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,ASINH,asinh,FLOAT)
#define ASINH(A2)  CCALLSFFUN1(ASINH,asinh,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DASINH,dasinh,DOUBLE)
#define DASINH(A2)  CCALLSFFUN1(DASINH,dasinh,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,ATANI,atani,FLOAT)
#define ATANI(A2)  CCALLSFFUN1(ATANI,atani,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DATANI,datani,DOUBLE)
#define DATANI(A2)  CCALLSFFUN1(DATANI,datani,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,ATG,atg,FLOAT,FLOAT)
#define ATG(A2,A3)  CCALLSFFUN2(ATG,atg,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN1(FLOAT,BESI0,besi0,FLOAT)
#define BESI0(A2)  CCALLSFFUN1(BESI0,besi0,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DBESI0,dbesi0,DOUBLE)
#define DBESI0(A2)  CCALLSFFUN1(DBESI0,dbesi0,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,BESJ0,besj0,FLOAT)
#define BESJ0(A2)  CCALLSFFUN1(BESJ0,besj0,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DBESJ0,dbesj0,DOUBLE)
#define DBESJ0(A2)  CCALLSFFUN1(DBESJ0,dbesj0,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,BINOM,binom,FLOAT,INT)
#define BINOM(A2,A3)  CCALLSFFUN2(BINOM,binom,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DBINOM,dbinom,DOUBLE,INT)
#define DBINOM(A2,A3)  CCALLSFFUN2(DBINOM,dbinom,DOUBLE,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,BSIR3,bsir3,FLOAT,INT)
#define BSIR3(A2,A3)  CCALLSFFUN2(BSIR3,bsir3,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DBSIR3,dbsir3,DOUBLE,INT)
#define DBSIR3(A2,A3)  CCALLSFFUN2(DBSIR3,dbsir3,DOUBLE,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,BSIR4,bsir4,FLOAT,INT)
#define BSIR4(A2,A3)  CCALLSFFUN2(BSIR4,bsir4,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DBSIR4,dbsir4,DOUBLE,INT)
#define DBSIR4(A2,A3)  CCALLSFFUN2(DBSIR4,dbsir4,DOUBLE,INT,A2,A3)

PROTOCCALLSFFUN5(FLOAT,CAUCHY,cauchy,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define CAUCHY(A2,A3,A4,A5,A6)  CCALLSFFUN5(CAUCHY,cauchy,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN5(DOUBLE,DCAUCH,dcauch,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE)
#define DCAUCH(A2,A3,A4,A5,A6)  CCALLSFFUN5(DCAUCH,dcauch,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5,A6)
/*
PROTOCCALLSFFUN6(DOUBLE,CHEBQU,chebqu,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,INT,DOUBLE)
#define CHEBQU(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(CHEBQU,chebqu,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,INT,DOUBLE,A2,A3,A4,A5,A6,A7)
*/
PROTOCCALLSFFUN2(FLOAT,CHISIN,chisin,FLOAT,INT)
#define CHISIN(A2,A3)  CCALLSFFUN2(CHISIN,chisin,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN4(FLOAT,CHSUM,chsum,INT,FLOATV,INT,FLOAT)
#define CHSUM(A2,A3,A4,A5)  CCALLSFFUN4(CHSUM,chsum,INT,FLOATV,INT,FLOAT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(DOUBLE,DCHSUM,dchsum,INT,DOUBLEV,INT,DOUBLE)
#define DCHSUM(A2,A3,A4,A5)  CCALLSFFUN4(DCHSUM,dchsum,INT,DOUBLEV,INT,DOUBLE,A2,A3,A4,A5)

PROTOCCALLSFFUN9(FLOAT,CLEBSG,clebsg,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define CLEBSG(A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFFUN9(CLEBSG,clebsg,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFFUN1(FLOAT,DAWSON,dawson,FLOAT)
#define DAWSON(A2)  CCALLSFFUN1(DAWSON,dawson,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DDAWSN,ddawsn,DOUBLE)
#define DDAWSN(A2)  CCALLSFFUN1(DDAWSN,ddawsn,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,DENLAN,denlan,FLOAT)
#define DENLAN(A2)  CCALLSFFUN1(DENLAN,denlan,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,DIFLAN,diflan,FLOAT)
#define DIFLAN(A2)  CCALLSFFUN1(DIFLAN,diflan,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,DILOG,dilog,FLOAT)
#define DILOG(A2)  CCALLSFFUN1(DILOG,dilog,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DDILOG,ddilog,DOUBLE)
#define DDILOG(A2)  CCALLSFFUN1(DDILOG,ddilog,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,DINVAV,dinvav,FLOAT)
#define DINVAV(A2)  CCALLSFFUN1(DINVAV,dinvav,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,DISLAN,dislan,FLOAT)
#define DISLAN(A2)  CCALLSFFUN1(DISLAN,dislan,FLOAT,A2)

PROTOCCALLSFFUN2(FLOAT,DISVAV,disvav,FLOAT,INT)
#define DISVAV(A2,A3)  CCALLSFFUN2(DISVAV,disvav,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN4(FLOAT,DJMNB,djmnb,FLOAT,FLOAT,FLOAT,FLOAT)
#define DJMNB(A2,A3,A4,A5)  CCALLSFFUN4(DJMNB,djmnb,FLOAT,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(DOUBLE,DDJMNB,ddjmnb,DOUBLE,DOUBLE,DOUBLE,DOUBLE)
#define DDJMNB(A2,A3,A4,A5)  CCALLSFFUN4(DDJMNB,ddjmnb,DOUBLE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5)

PROTOCCALLSFFUN7(DOUBLE,DSPNB1,dspnb1,INT,INT,INT,INT,DOUBLE,DOUBLEV,PINT)
#define DSPNB1(A2,A3,A4,A5,A6,A7,A8)  CCALLSFFUN7(DSPNB1,dspnb1,INT,INT,INT,INT,DOUBLE,DOUBLEV,PINT,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFFUN13(DOUBLE,DSPNB2,dspnb2,INT,INT,INT,INT,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLEV,DOUBLEV,PINT)
#define DSPNB2(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFFUN13(DSPNB2,dspnb2,INT,INT,INT,INT,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLEV,DOUBLEV,PINT,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)

PROTOCCALLSFFUN7(DOUBLE,DSPPS1,dspps1,INT,INT,INT,DOUBLE,DOUBLEV,DOUBLEV,PINT)
#define DSPPS1(A2,A3,A4,A5,A6,A7,A8)  CCALLSFFUN7(DSPPS1,dspps1,INT,INT,INT,DOUBLE,DOUBLEV,DOUBLEV,PINT,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFFUN14(DOUBLE,DSPPS2,dspps2,INT,INT,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PINT)
#define DSPPS2(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFFUN14(DSPPS2,dspps2,INT,INT,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PINT,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFFUN3(DOUBLE,DVDOT,dvdot,INT,DOUBLEV,DOUBLEV)
#define DVDOT(A2,A3,A4)  CCALLSFFUN3(DVDOT,dvdot,INT,DOUBLEV,DOUBLEV,A2,A3,A4)
/*
PROTOCCALLSFFUN2(DOUBLE,E401BD,e401bd,DOUBLE,DOUBLE)
#define E401BD(A2,A3)  CCALLSFFUN2(E401BD,e401bd,DOUBLE,DOUBLE,A2,A3)

PROTOCCALLSFFUN2(FLOAT,ELIN1,elin1,FLOAT,FLOAT)
#define ELIN1(A2,A3)  CCALLSFFUN2(ELIN1,elin1,FLOAT,FLOAT,A2,A3)
*/
PROTOCCALLSFFUN1(FLOAT,ERF,erf,FLOAT)
#define ERF(A2)  CCALLSFFUN1(ERF,erf,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DERF,derf,DOUBLE)
#define DERF(A2)  CCALLSFFUN1(DERF,derf,DOUBLE,A2)

PROTOCCALLSFFUN7(INT,EXMBUC,exmbuc,INT,INT,FLOATV,FLOAT,INT,PINT,INT)
#define EXMBUC(A2,A3,A4,A5,A6,A7,A8)  CCALLSFFUN7(EXMBUC,exmbuc,INT,INT,FLOATV,FLOAT,INT,PINT,INT,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFFUN3(FLOAT,FCONC,fconc,FLOAT,FLOAT,INT)
#define FCONC(A2,A3,A4)  CCALLSFFUN3(FCONC,fconc,FLOAT,FLOAT,INT,A2,A3,A4)

PROTOCCALLSFFUN3(DOUBLE,DFCONC,dfconc,DOUBLE,DOUBLE,INT)
#define DFCONC(A2,A3,A4)  CCALLSFFUN3(DFCONC,dfconc,DOUBLE,DOUBLE,INT,A2,A3,A4)

PROTOCCALLSFFUN2(FLOAT,FERDR,ferdr,FLOAT,INT)
#define FERDR(A2,A3)  CCALLSFFUN2(FERDR,ferdr,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DFERDR,dferdr,DOUBLE,INT)
#define DFERDR(A2,A3)  CCALLSFFUN2(DFERDR,dferdr,DOUBLE,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,FINARG,finarg,INT,INT)
#define FINARG(A2,A3)  CCALLSFFUN2(FINARG,finarg,INT,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,FREARG,frearg,FLOAT,FLOAT)
#define FREARG(A2,A3)  CCALLSFFUN2(FREARG,frearg,FLOAT,FLOAT,A2,A3)
/*
PROTOCCALLSFFUN3(FLOAT,FRED2,fred2,FLOAT,FLOAT,FLOAT)
#define FRED2(A2,A3,A4)  CCALLSFFUN3(FRED2,fred2,FLOAT,FLOAT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN1(FLOAT,FRED3,fred3,FLOAT)
#define FRED3(A2)  CCALLSFFUN1(FRED3,fred3,FLOAT,A2)
*/
PROTOCCALLSFFUN1(FLOAT,FREQ,freq,FLOAT)
#define FREQ(A2)  CCALLSFFUN1(FREQ,freq,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DFREQ,dfreq,DOUBLE)
#define DFREQ(A2)  CCALLSFFUN1(DFREQ,dfreq,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,FRSIN,frsin,FLOAT)
#define FRSIN(A2)  CCALLSFFUN1(FRSIN,frsin,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DFRSIN,dfrsin,DOUBLE)
#define DFRSIN(A2)  CCALLSFFUN1(DFRSIN,dfrsin,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,FUN,fun,INT,FLOATV)
#define FUN(A2,A3)  CCALLSFFUN2(FUN,fun,INT,FLOATV,A2,A3)

PROTOCCALLSFFUN1(FLOAT,G116F1,g116f1,FLOAT)
#define G116F1(A2)  CCALLSFFUN1(G116F1,g116f1,FLOAT,A2)

PROTOCCALLSFFUN2(DOUBLE,DGAGNC,dgagnc,DOUBLE,DOUBLE)
#define DGAGNC(A2,A3)  CCALLSFFUN2(DGAGNC,dgagnc,DOUBLE,DOUBLE,A2,A3)

PROTOCCALLSFFUN2(FLOAT,GAMDIS,gamdis,FLOAT,FLOAT)
#define GAMDIS(A2,A3)  CCALLSFFUN2(GAMDIS,gamdis,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN1(FLOAT,GAMMA,gamma,FLOAT)
#define GAMMA(A2)  CCALLSFFUN1(GAMMA,gamma,FLOAT,A2)
/*
PROTOCCALLSFFUN1(FLOAT,QGAMMA,qgamma,FLOAT)
#define QGAMMA(A2)  CCALLSFFUN1(QGAMMA,qgamma,FLOAT,A2)
*/
PROTOCCALLSFFUN1(DOUBLE,DGAMMA,dgamma,DOUBLE)
#define DGAMMA(A2)  CCALLSFFUN1(DGAMMA,dgamma,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,GAMMF,gammf,FLOAT)
#define GAMMF(A2)  CCALLSFFUN1(GAMMF,gammf,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DGAMMF,dgammf,DOUBLE)
#define DGAMMF(A2)  CCALLSFFUN1(DGAMMF,dgammf,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,GAPNC,gapnc,FLOAT,FLOAT)
#define GAPNC(A2,A3)  CCALLSFFUN2(GAPNC,gapnc,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DGAPNC,dgapnc,DOUBLE,DOUBLE)
#define DGAPNC(A2,A3)  CCALLSFFUN2(DGAPNC,dgapnc,DOUBLE,DOUBLE,A2,A3)

PROTOCCALLSFFUN1(FLOAT,GAUSIN,gausin,FLOAT)
#define GAUSIN(A2)  CCALLSFFUN1(GAUSIN,gausin,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DGAUSN,dgausn,DOUBLE)
#define DGAUSN(A2)  CCALLSFFUN1(DGAUSN,dgausn,DOUBLE,A2)

PROTOCCALLSFFUN4(FLOAT,GAUSS,gauss,ROUTINE,FLOAT,FLOAT,FLOAT)
#define GAUSS(A2,A3,A4,A5)  CCALLSFFUN4(GAUSS,gauss,ROUTINE,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5)
/*
PROTOCCALLSFFUN4(FLOAT,QGAUSS,qgauss,ROUTINE,FLOAT,FLOAT,FLOAT)
#define QGAUSS(A2,A3,A4,A5)  CCALLSFFUN4(QGAUSS,qgauss,ROUTINE,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5)
*/
PROTOCCALLSFFUN4(DOUBLE,DGAUSS,dgauss,ROUTINE,DOUBLE,DOUBLE,DOUBLE)
#define DGAUSS(A2,A3,A4,A5)  CCALLSFFUN4(DGAUSS,dgauss,ROUTINE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5)
/*
PROTOCCALLSFFUN6(DOUBLE,GPINDP,gpindp,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,DOUBLE,INT)
#define GPINDP(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(GPINDP,gpindp,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,DOUBLE,INT,A2,A3,A4,A5,A6,A7)
*/
PROTOCCALLSFFUN2(INT,IGET,iget,INTV,INT)
#define IGET(A2,A3)  CCALLSFFUN2(IGET,iget,INTV,INT,A2,A3)

PROTOCCALLSFFUN3(INT,IILZ,iilz,INT,INTV,INT)
#define IILZ(A2,A3,A4)  CCALLSFFUN3(IILZ,iilz,INT,INTV,INT,A2,A3,A4)

PROTOCCALLSFFUN3(INT,ILSUM,ilsum,INT,LOGICALV,INT)
#define ILSUM(A2,A3,A4)  CCALLSFFUN3(ILSUM,ilsum,INT,LOGICALV,INT,A2,A3,A4)

PROTOCCALLSFFUN10(FLOAT,QLINSQ,qlinsq,INT,INT,INT,FLOATV,PFLOAT,FLOATV,FLOATV,FLOATV,PDOUBLE,INT)
#define QLINSQ(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFFUN10(QLINSQ,qlinsq,INT,INT,INT,FLOATV,PFLOAT,FLOATV,FLOATV,FLOATV,PDOUBLE,INT,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFFUN3(INT,LKKSPL,lkkspl,DOUBLE,DOUBLEV,INT)
#define LKKSPL(A2,A3,A4)  CCALLSFFUN3(LKKSPL,lkkspl,DOUBLE,DOUBLEV,INT,A2,A3,A4)
/*
PROTOCCALLSFFUN4(INT,LOCHAR,lochar,INTV,INT,INTV,INT)
#define LOCHAR(A2,A3,A4,A5)  CCALLSFFUN4(LOCHAR,lochar,INTV,INT,INTV,INT,A2,A3,A4,A5)
*/
PROTOCCALLSFFUN2(INT,MAXFZE,maxfze,FLOATV,INT)
#define MAXFZE(A2,A3)  CCALLSFFUN2(MAXFZE,maxfze,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,MAXIZE,maxize,INTV,INT)
#define MAXIZE(A2,A3)  CCALLSFFUN2(MAXIZE,maxize,INTV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,MINFZE,minfze,FLOATV,INT)
#define MINFZE(A2,A3)  CCALLSFFUN2(MINFZE,minfze,FLOATV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,MINIZE,minize,INTV,INT)
#define MINIZE(A2,A3)  CCALLSFFUN2(MINIZE,minize,INTV,INT,A2,A3)

PROTOCCALLSFFUN2(INT,NDIGIT,ndigit,DOUBLE,DOUBLE)
#define NDIGIT(A2,A3)  CCALLSFFUN2(NDIGIT,ndigit,DOUBLE,DOUBLE,A2,A3)
/*
PROTOCCALLSFFUN1(INT,NEAR1,near1,FLOAT)
#define NEAR1(A2)  CCALLSFFUN1(NEAR1,near1,FLOAT,A2)
*/
PROTOCCALLSFFUN1(INT,NIC311,nic311,FLOAT)
#define NIC311(A2)  CCALLSFFUN1(NIC311,nic311,FLOAT,A2)

PROTOCCALLSFFUN1(INT,NORRAN,norran,PFLOAT)
#define NORRAN(A2)  CCALLSFFUN1(NORRAN,norran,PFLOAT,A2)

PROTOCCALLSFFUN2(FLOAT,PROB,prob,FLOAT,INT)
#define PROB(A2,A3)  CCALLSFFUN2(PROB,prob,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN1(FLOAT,PROBKL,probkl,FLOAT)
#define PROBKL(A2)  CCALLSFFUN1(PROBKL,probkl,FLOAT,A2)

PROTOCCALLSFFUN4(FLOAT,PROD1,prod1,FLOATV,FLOATV,INT,INT)
#define PROD1(A2,A3,A4,A5)  CCALLSFFUN4(PROD1,prod1,FLOATV,FLOATV,INT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN7(FLOAT,PROD2,prod2,PFLOAT,FLOATV,INT,INT,INT,INT,FLOAT)
#define PROD2(A2,A3,A4,A5,A6,A7,A8)  CCALLSFFUN7(PROD2,prod2,PFLOAT,FLOATV,INT,INT,INT,INT,FLOAT,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFFUN5(FLOAT,QUAD,quad,INT,INT,FLOATV,FLOATV,FLOAT)
#define QUAD(A2,A3,A4,A5,A6)  CCALLSFFUN5(QUAD,quad,INT,INT,FLOATV,FLOATV,FLOAT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN13(DOUBLE,C309R4,c309r4,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,LOGICAL,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL)
#define C309R4(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFFUN13(C309R4,c309r4,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,LOGICAL,INT,PDOUBLE,PINT,DOUBLE,DOUBLE,LOGICAL,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)

PROTOCCALLSFFUN1(FLOAT,RANGAM,rangam,FLOAT)
#define RANGAM(A2)  CCALLSFFUN1(RANGAM,rangam,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,RANLAN,ranlan,FLOAT)
#define RANLAN(A2)  CCALLSFFUN1(RANLAN,ranlan,FLOAT,A2)

PROTOCCALLSFFUN2(FLOAT,RELI1,reli1,FLOAT,FLOAT)
#define RELI1(A2,A3)  CCALLSFFUN2(RELI1,reli1,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DELI1,deli1,DOUBLE,DOUBLE)
#define DELI1(A2,A3)  CCALLSFFUN2(DELI1,deli1,DOUBLE,DOUBLE,A2,A3)

PROTOCCALLSFFUN1(FLOAT,RELI1C,reli1c,FLOAT)
#define RELI1C(A2)  CCALLSFFUN1(RELI1C,reli1c,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DELI1C,deli1c,DOUBLE)
#define DELI1C(A2)  CCALLSFFUN1(DELI1C,deli1c,DOUBLE,A2)

PROTOCCALLSFFUN5(DOUBLE,DELI2,deli2,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT)
#define DELI2(A2,A3,A4,A5,A6)  CCALLSFFUN5(DELI2,deli2,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,A2,A3,A4,A5,A6)

PROTOCCALLSFFUN3(DOUBLE,DELI3,deli3,DOUBLE,DOUBLE,DOUBLE)
#define DELI3(A2,A3,A4)  CCALLSFFUN3(DELI3,deli3,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4)

PROTOCCALLSFFUN4(DOUBLE,DELIGC,deligc,DOUBLE,DOUBLE,DOUBLE,DOUBLE)
#define DELIGC(A2,A3,A4,A5)  CCALLSFFUN4(DELIGC,deligc,DOUBLE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5)

PROTOCCALLSFFUN1(DOUBLE,DELIKC,delikc,DOUBLE)
#define DELIKC(A2)  CCALLSFFUN1(DELIKC,delikc,DOUBLE,A2)

PROTOCCALLSFFUN1(FLOAT,REXPIN,rexpin,FLOAT)
#define REXPIN(A2)  CCALLSFFUN1(REXPIN,rexpin,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DEXPIN,dexpin,DOUBLE)
#define DEXPIN(A2)  CCALLSFFUN1(DEXPIN,dexpin,DOUBLE,A2)

PROTOCCALLSFFUN6(DOUBLE,DFRDH2,dfrdh2,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,INT,INT)
#define DFRDH2(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DFRDH2,dfrdh2,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,INT,INT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN1(FLOAT,RG32,rg32,INT)
#define RG32(A2)  CCALLSFFUN1(RG32,rg32,INT,A2)

PROTOCCALLSFFUN6(FLOAT,RGMLT1,rgmlt1,FLOAT,FLOAT,FLOAT,INT,INT,FLOAT)
#define RGMLT1(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(RGMLT1,rgmlt1,FLOAT,FLOAT,FLOAT,INT,INT,FLOAT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT1,dgmlt1,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT1(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT1,dgmlt1,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT2,dgmlt2,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT2(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT2,dgmlt2,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT3,dgmlt3,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT3(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT3,dgmlt3,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT4,dgmlt4,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT4(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT4,dgmlt4,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT5,dgmlt5,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT5(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT5,dgmlt5,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN6(DOUBLE,DGMLT6,dgmlt6,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DGMLT6(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DGMLT6,dgmlt6,DOUBLE,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN4(DOUBLE,DGQUAD,dgquad,DOUBLE,DOUBLE,DOUBLE,INT)
#define DGQUAD(A2,A3,A4,A5)  CCALLSFFUN4(DGQUAD,dgquad,DOUBLE,DOUBLE,DOUBLE,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN1(FLOAT,RN32,rn32,INT)
#define RN32(A2)  CCALLSFFUN1(RN32,rn32,INT,A2)

PROTOCCALLSFFUN1(FLOAT,RNDM2,rndm2,FLOAT)
#define RNDM2(A2)  CCALLSFFUN1(RNDM2,rndm2,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,RNORTH,rnorth,INT)
#define RNORTH(A2)  CCALLSFFUN1(RNORTH,rnorth,INT,A2)

PROTOCCALLSFFUN2(FLOAT,RPSIPG,rpsipg,FLOAT,INT)
#define RPSIPG(A2,A3)  CCALLSFFUN2(RPSIPG,rpsipg,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(DOUBLE,DPSIPG,dpsipg,DOUBLE,INT)
#define DPSIPG(A2,A3)  CCALLSFFUN2(DPSIPG,dpsipg,DOUBLE,INT,A2,A3)

PROTOCCALLSFFUN1(FLOAT,RRIZET,rrizet,FLOAT)
#define RRIZET(A2)  CCALLSFFUN1(RRIZET,rrizet,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DRIZET,drizet,DOUBLE)
#define DRIZET(A2)  CCALLSFFUN1(DRIZET,drizet,DOUBLE,A2)

PROTOCCALLSFFUN3(FLOAT,RTHETA,rtheta,INT,FLOAT,FLOAT)
#define RTHETA(A2,A3,A4)  CCALLSFFUN3(RTHETA,rtheta,INT,FLOAT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN3(DOUBLE,DTHETA,dtheta,INT,DOUBLE,DOUBLE)
#define DTHETA(A2,A3,A4)  CCALLSFFUN3(DTHETA,dtheta,INT,DOUBLE,DOUBLE,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,RVNSPC,rvnspc,FLOAT,FLOAT,FLOAT)
#define RVNSPC(A2,A3,A4)  CCALLSFFUN3(RVNSPC,rvnspc,FLOAT,FLOAT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN3(DOUBLE,DVNSPC,dvnspc,DOUBLE,DOUBLE,DOUBLE)
#define DVNSPC(A2,A3,A4)  CCALLSFFUN3(DVNSPC,dvnspc,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4)

PROTOCCALLSFFUN4(FLOAT,SIMPS,simps,FLOATV,FLOAT,FLOAT,INT)
#define SIMPS(A2,A3,A4,A5)  CCALLSFFUN4(SIMPS,simps,FLOATV,FLOAT,FLOAT,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN4(DOUBLE,DSIMPS,dsimps,DOUBLEV,DOUBLE,DOUBLE,INT)
#define DSIMPS(A2,A3,A4,A5)  CCALLSFFUN4(DSIMPS,dsimps,DOUBLEV,DOUBLE,DOUBLE,INT,A2,A3,A4,A5)

PROTOCCALLSFFUN1(FLOAT,SININT,sinint,FLOAT)
#define SININT(A2)  CCALLSFFUN1(SININT,sinint,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DSININ,dsinin,DOUBLE)
#define DSININ(A2)  CCALLSFFUN1(DSININ,dsinin,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,STRAG,strag,FLOAT,FLOAT)
#define STRAG(A2,A3)  CCALLSFFUN2(STRAG,strag,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN1(FLOAT,STRH0,strh0,FLOAT)
#define STRH0(A2)  CCALLSFFUN1(STRH0,strh0,FLOAT,A2)

PROTOCCALLSFFUN1(DOUBLE,DSTRH0,dstrh0,DOUBLE)
#define DSTRH0(A2)  CCALLSFFUN1(DSTRH0,dstrh0,DOUBLE,A2)

PROTOCCALLSFFUN2(FLOAT,STUDIN,studin,FLOAT,INT)
#define STUDIN(A2,A3)  CCALLSFFUN2(STUDIN,studin,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,STUDIS,studis,FLOAT,INT)
#define STUDIS(A2,A3)  CCALLSFFUN2(STUDIS,studis,FLOAT,INT,A2,A3)

PROTOCCALLSFFUN2(FLOAT,THETA1,theta1,FLOAT,FLOAT)
#define THETA1(A2,A3)  CCALLSFFUN2(THETA1,theta1,FLOAT,FLOAT,A2,A3)

PROTOCCALLSFFUN10(FLOAT,TRIINT,triint,FLOAT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define TRIINT(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFFUN10(TRIINT,triint,FLOAT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFFUN10(DOUBLE,DTRINT,dtrint,DOUBLE,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE)
#define DTRINT(A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFFUN10(DTRINT,dtrint,DOUBLE,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFFUN6(FLOAT,TRISUM,trisum,FLOAT,FLOATV,INT,FLOATV,INT,INT)
#define TRISUM(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(TRISUM,trisum,FLOAT,FLOATV,INT,FLOATV,INT,INT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFFUN1(LOGICAL,USRTRM,usrtrm,INT)
#define USRTRM(A2)  CCALLSFFUN1(USRTRM,usrtrm,INT,A2)

PROTOCCALLSFFUN1(FLOAT,VAVDEN,vavden,FLOAT)
#define VAVDEN(A2)  CCALLSFFUN1(VAVDEN,vavden,FLOAT,A2)

PROTOCCALLSFFUN3(FLOAT,VAVFCN,vavfcn,FLOAT,FLOAT,FLOAT)
#define VAVFCN(A2,A3,A4)  CCALLSFFUN3(VAVFCN,vavfcn,FLOAT,FLOAT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN3(FLOAT,VAVRAN,vavran,FLOAT,FLOAT,FLOAT)
#define VAVRAN(A2,A3,A4)  CCALLSFFUN3(VAVRAN,vavran,FLOAT,FLOAT,FLOAT,A2,A3,A4)

PROTOCCALLSFFUN1(INT,VOMAS,vomas,INT)
#define VOMAS(A2)  CCALLSFFUN1(VOMAS,vomas,INT,A2)

PROTOCCALLSFFUN1(FLOAT,VVIDEN,vviden,FLOAT)
#define VVIDEN(A2)  CCALLSFFUN1(VVIDEN,vviden,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,XM1LAN,xm1lan,FLOAT)
#define XM1LAN(A2)  CCALLSFFUN1(XM1LAN,xm1lan,FLOAT,A2)

PROTOCCALLSFFUN1(FLOAT,XM2LAN,xm2lan,FLOAT)
#define XM2LAN(A2)  CCALLSFFUN1(XM2LAN,xm2lan,FLOAT,A2)

PROTOCCALLSFFUN6(DOUBLE,DZEROX,dzerox,DOUBLE,DOUBLE,DOUBLE,INT,DOUBLE,INT)
#define DZEROX(A2,A3,A4,A5,A6,A7)  CCALLSFFUN6(DZEROX,dzerox,DOUBLE,DOUBLE,DOUBLE,INT,DOUBLE,INT,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB12(ADDBND,addbnd,INT,PINT,INTV,PINT,PINT,INT,INT,INT,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE)
#define ADDBND(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(ADDBND,addbnd,INT,PINT,INTV,PINT,PINT,INT,INT,INT,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB1(ARITHM,arithm,PFLOAT)
#define ARITHM(A1)  CCALLSFSUB1(ARITHM,arithm,PFLOAT,A1)

PROTOCCALLSFSUB5(ASLGF,aslgf,INT,FLOAT,INT,INT,PFLOAT)
#define ASLGF(A1,A2,A3,A4,A5)  CCALLSFSUB5(ASLGF,aslgf,INT,FLOAT,INT,INT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DASLGF,daslgf,INT,DOUBLE,INT,INT,PDOUBLE)
#define DASLGF(A1,A2,A3,A4,A5)  CCALLSFSUB5(DASLGF,daslgf,INT,DOUBLE,INT,INT,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(ASSIGN,assign,PFLOAT,INT,INT,INT,PINT,PFLOAT,INT)
#define ASSIGN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(ASSIGN,assign,PFLOAT,INT,INT,INT,PINT,PFLOAT,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(BAKVEC,bakvec,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT,PINT)
#define BAKVEC(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(BAKVEC,bakvec,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(BALANC,balanc,INT,INT,PFLOAT,PINT,PINT,PFLOAT)
#define BALANC(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(BALANC,balanc,INT,INT,PFLOAT,PINT,PINT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB7(BALBAK,balbak,INT,INT,INT,INT,FLOATV,INT,PFLOAT)
#define BALBAK(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(BALBAK,balbak,INT,INT,INT,INT,FLOATV,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB9(BFGS,bfgs,INT,INT,PDOUBLE,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE)
#define BFGS(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(BFGS,bfgs,INT,INT,PDOUBLE,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB4(BINOMI,binomi,INT,FLOAT,PINT,PINT)
#define BINOMI(A1,A2,A3,A4)  CCALLSFSUB4(BINOMI,binomi,INT,FLOAT,PINT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB14(BISECT,bisect,INT,FLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,PFLOAT,INT,PINT,PFLOAT,PINT,PINT,PFLOAT,PFLOAT)
#define BISECT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFSUB14(BISECT,bisect,INT,FLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,PFLOAT,INT,PINT,PFLOAT,PINT,PINT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)

PROTOCCALLSFSUB27(BNDOPT,bndopt,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,PINT,PINT,PINT,INT,INT)
#define BNDOPT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27)  CCALLSFSUB27(BNDOPT,bndopt,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,PINT,PINT,PINT,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27)

PROTOCCALLSFSUB10(BNDTST,bndtst,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,PINT,PINT,PINT,PINT,PLOGICAL)
#define BNDTST(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(BNDTST,bndtst,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,PINT,PINT,PINT,PINT,PLOGICAL,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB6(BOUNDS,bounds,INT,PINT,PINT,FLOATV,PFLOAT,PFLOAT)
#define BOUNDS(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(BOUNDS,bounds,INT,PINT,PINT,FLOATV,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(BSJA,bsja,FLOAT,FLOAT,INT,INT,FLOATV)
#define BSJA(A1,A2,A3,A4,A5)  CCALLSFSUB5(BSJA,bsja,FLOAT,FLOAT,INT,INT,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(QBSJA,qbsja,FLOAT,FLOAT,INT,INT,FLOATV)
#define QBSJA(A1,A2,A3,A4,A5)  CCALLSFSUB5(QBSJA,qbsja,FLOAT,FLOAT,INT,INT,FLOATV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DBSJA,dbsja,DOUBLE,DOUBLE,INT,INT,DOUBLEV)
#define DBSJA(A1,A2,A3,A4,A5)  CCALLSFSUB5(DBSJA,dbsja,DOUBLE,DOUBLE,INT,INT,DOUBLEV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(BUCMVE,bucmve,INT,INT,INT,PFLOAT,PFLOAT,INT,INT)
#define BUCMVE(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(BUCMVE,bucmve,INT,INT,INT,PFLOAT,PFLOAT,INT,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB15(BUFOPT,bufopt,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,FLOAT,FLOAT,PDOUBLE,INT,INTV,INT,INT,INT)
#define BUFOPT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(BUFOPT,bufopt,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,FLOAT,FLOAT,PDOUBLE,INT,INTV,INT,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB5(BZEJY,bzejy,FLOAT,INT,INT,FLOAT,PFLOAT)
#define BZEJY(A1,A2,A3,A4,A5)  CCALLSFSUB5(BZEJY,bzejy,FLOAT,INT,INT,FLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DBZEJY,dbzejy,DOUBLE,INT,INT,DOUBLE,PDOUBLE)
#define DBZEJY(A1,A2,A3,A4,A5)  CCALLSFSUB5(DBZEJY,dbzejy,DOUBLE,INT,INT,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB2(C128,c128,FLOATV,PFLOAT)
#define C128(A1,A2)  CCALLSFSUB2(C128,c128,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(C256,c256,FLOATV,PFLOAT)
#define C256(A1,A2)  CCALLSFSUB2(C256,c256,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB0(C311BD,c311bd)
#define C311BD() CCALLSFSUB0(C311BD,c311bd)

PROTOCCALLSFSUB2(C512,c512,FLOATV,PFLOAT)
#define C512(A1,A2)  CCALLSFSUB2(C512,c512,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(C64,c64,FLOATV,PFLOAT)
#define C64(A1,A2)  CCALLSFSUB2(C64,c64,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB8(CBABK2,cbabk2,INT,INT,INT,INT,FLOATV,INT,PFLOAT,PFLOAT)
#define CBABK2(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CBABK2,cbabk2,INT,INT,INT,INT,FLOATV,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB7(CBAL,cbal,INT,INT,PFLOAT,PFLOAT,PINT,PINT,PFLOAT)
#define CBAL(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CBAL,cbal,INT,INT,PFLOAT,PFLOAT,PINT,PINT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(CFT,cft,PFLOAT,PFLOAT,INT,INT,INT,PINT)
#define CFT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(CFT,cft,PFLOAT,PFLOAT,INT,INT,INT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB13(CHEB,cheb,INT,INT,INT,INT,PFLOAT,PFLOAT,FLOAT,PFLOAT,PFLOAT,PINT,PFLOAT,PINT,PINT)
#define CHEB(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(CHEB,cheb,INT,INT,INT,INT,PFLOAT,PFLOAT,FLOAT,PFLOAT,PFLOAT,PINT,PFLOAT,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB3(CHEB02,cheb02,PDOUBLE,INT,INT)
#define CHEB02(A1,A2,A3)  CCALLSFSUB3(CHEB02,cheb02,PDOUBLE,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB7(CHECF,checf,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT,FLOAT)
#define CHECF(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(CHECF,checf,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(QCHECF,qchecf,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,PINT,PFLOAT)
#define QCHECF(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(QCHECF,qchecf,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,PINT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(DCHECF,dchecf,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PINT,PDOUBLE)
#define DCHECF(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DCHECF,dchecf,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PINT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(CHMOVE,chmove,STRING,INT,PSTRING,INT,INT)
#define CHMOVE(A1,A2,A3,A4,A5)  CCALLSFSUB5(CHMOVE,chmove,STRING,INT,PSTRING,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB16(CINVIT,cinvit,INT,INT,PFLOAT,PFLOAT,PFLOAT,FLOATV,LOGICALV,INT,PINT,PFLOAT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define CINVIT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)  CCALLSFSUB16(CINVIT,cinvit,INT,INT,PFLOAT,PFLOAT,PFLOAT,FLOATV,LOGICALV,INT,PINT,PFLOAT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)

PROTOCCALLSFSUB8(CLEBS,clebs,INT,INT,INT,INT,INT,INT,PINT,PINT)
#define CLEBS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CLEBS,clebs,INT,INT,INT,INT,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB3(COEDIN,coedin,FLOAT,FLOAT,INT)
#define COEDIN(A1,A2,A3)  CCALLSFSUB3(COEDIN,coedin,FLOAT,FLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB4(COEDIS,coedis,FLOAT,FLOAT,INT,INT)
#define COEDIS(A1,A2,A3,A4)  CCALLSFSUB4(COEDIS,coedis,FLOAT,FLOAT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB9(COMBAK,combak,INT,INT,INT,PFLOAT,PFLOAT,INTV,INT,PFLOAT,PFLOAT)
#define COMBAK(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(COMBAK,combak,INT,INT,INT,PFLOAT,PFLOAT,INTV,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB7(COMHES,comhes,INT,INT,INT,INT,PFLOAT,PFLOAT,PINT)
#define COMHES(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(COMHES,comhes,INT,INT,INT,INT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB9(COMLR,comlr,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define COMLR(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(COMLR,comlr,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB12(COMLR2,comlr2,INT,INT,INT,INT,INTV,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define COMLR2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(COMLR2,comlr2,INT,INT,INT,INT,INTV,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB8(CONPRT,conprt,PFLOAT,INT,INT,INT,INT,INT,FLOAT,FLOAT)
#define CONPRT(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(CONPRT,conprt,PFLOAT,INT,INT,INT,INT,INT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB3(CONT,cont,FLOAT,INT,FLOATV)
#define CONT(A1,A2,A3)  CCALLSFSUB3(CONT,cont,FLOAT,INT,FLOATV,A1,A2,A3)

PROTOCCALLSFSUB5(CPOLYZ,cpolyz,FLOAT,INT,INT,FLOAT,FLOAT)
#define CPOLYZ(A1,A2,A3,A4,A5)  CCALLSFSUB5(CPOLYZ,cpolyz,FLOAT,INT,INT,FLOAT,FLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(D107S1,d107s1,INT,DOUBLE,DOUBLE,DOUBLE,INT,PDOUBLE,PDOUBLE)
#define D107S1(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(D107S1,d107s1,INT,DOUBLE,DOUBLE,DOUBLE,INT,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB1(D115BD,d115bd,PINT)
#define D115BD(A1)  CCALLSFSUB1(D115BD,d115bd,PINT,A1)

/*
PROTOCCALLSFSUB38(D501L1,d501l1,BYTE,DOUBLE,INT,INT,DOUBLEV,INT,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,INTV,INT,PDOUBLE,INT,PDOUBLE,PDOUBLE,*ERROR*V,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,INTV,PINT)
#define D501L1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28,A29,A30,A31,A32,A33,A34,A35,A36,A37,A38)  CCALLSFSUB38(D501L1,d501l1,BYTE,DOUBLE,INT,INT,DOUBLEV,INT,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,INTV,INT,PDOUBLE,INT,PDOUBLE,PDOUBLE,*ERROR*V,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,INTV,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28,A29,A30,A31,A32,A33,A34,A35,A36,A37,A38)

PROTOCCALLSFSUB27(D501L2,d501l2,INT,INT,DOUBLEV,INT,INT,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,INTV,INT,DOUBLEV,PDOUBLE,*ERROR*V,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,PINT)
#define D501L2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27)  CCALLSFSUB27(D501L2,d501l2,INT,INT,DOUBLEV,INT,INT,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,INTV,INT,DOUBLEV,PDOUBLE,*ERROR*V,DOUBLEV,DOUBLEV,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,DOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27)

PROTOCCALLSFSUB24(D501N1,d501n1,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PINT,DOUBLEV,PDOUBLE,PINT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,BYTE,PINT)
#define D501N1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24)  CCALLSFSUB24(D501N1,d501n1,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PDOUBLE,PINT,DOUBLEV,PDOUBLE,PINT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,BYTE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24)

PROTOCCALLSFSUB22(D501N2,d501n2,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,INT,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PINT,PDOUBLE,PDOUBLE,PINT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,PINT)
#define D501N2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22)  CCALLSFSUB22(D501N2,d501n2,INT,INT,INT,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,INT,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PINT,PDOUBLE,PDOUBLE,PINT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22)

PROTOCCALLSFSUB18(D501P1,d501p1,INT,INT,INT,DOUBLEV,INT,DOUBLEV,DOUBLEV,INT,DOUBLE,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PINT,BYTE)
#define D501P1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18)  CCALLSFSUB18(D501P1,d501p1,INT,INT,INT,DOUBLEV,INT,DOUBLEV,DOUBLEV,INT,DOUBLE,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,PINT,BYTE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18)

PROTOCCALLSFSUB12(D501P2,d501p2,PLOGICAL,INT,DOUBLEV,DOUBLEV,DOUBLEV,*ERROR*V,DOUBLE,DOUBLE,INT,LOGICAL,INT,BYTE)
#define D501P2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(D501P2,d501p2,PLOGICAL,INT,DOUBLEV,DOUBLEV,DOUBLEV,*ERROR*V,DOUBLE,DOUBLE,INT,LOGICAL,INT,BYTE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB15(D501SF,d501sf,BYTE,DOUBLE,INT,INT,DOUBLEV,INT,PDOUBLE,PDOUBLE,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PINT)
#define D501SF(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(D501SF,d501sf,BYTE,DOUBLE,INT,INT,DOUBLEV,INT,PDOUBLE,PDOUBLE,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)
*/
PROTOCCALLSFSUB0(D700SU,d700su)
#define D700SU() CCALLSFSUB0(D700SU,d700su)

PROTOCCALLSFSUB0(D701BD,d701bd)
#define D701BD() CCALLSFSUB0(D701BD,d701bd)

PROTOCCALLSFSUB3(DCHPWS,dchpws,INT,DOUBLEV,PDOUBLE)
#define DCHPWS(A1,A2,A3)  CCALLSFSUB3(DCHPWS,dchpws,INT,DOUBLEV,PDOUBLE,A1,A2,A3)

PROTOCCALLSFSUB8(DECOMP,decomp,INT,INT,PFLOAT,PFLOAT,PINT,PLOGICAL,PFLOAT,PFLOAT)
#define DECOMP(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DECOMP,decomp,INT,INT,PFLOAT,PFLOAT,PINT,PLOGICAL,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB12(DELBND,delbnd,INT,PINT,INTV,PINT,PINT,INT,PINT,DOUBLEV,INT,PDOUBLE,PDOUBLE,PDOUBLE)
#define DELBND(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DELBND,delbnd,INT,PINT,INTV,PINT,PINT,INT,PINT,DOUBLEV,INT,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB4(DELETE,delete,INT,PINT,INT,PINT)
#define DELETE(A1,A2,A3,A4)  CCALLSFSUB4(DELETE,delete,INT,PINT,INT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB26(DELSLV,delslv,INT,DOUBLE,DOUBLE,LOGICAL,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PINT,INT,PINT,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT)
#define DELSLV(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26)  CCALLSFSUB26(DELSLV,delslv,INT,DOUBLE,DOUBLE,LOGICAL,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PINT,INT,PINT,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26)

PROTOCCALLSFSUB8(DEQBS,deqbs,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define DEQBS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DEQBS,deqbs,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DDEQBS,ddeqbs,INT,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE)
#define DDEQBS(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DDEQBS,ddeqbs,INT,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DEQMR,deqmr,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define DEQMR(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DEQMR,deqmr,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DDEQMR,ddeqmr,INT,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE)
#define DDEQMR(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DDEQMR,ddeqmr,INT,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB5(DERIV,deriv,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define DERIV(A1,A2,A3,A4,A5)  CCALLSFSUB5(DERIV,deriv,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DDERIV,dderiv,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE)
#define DDERIV(A1,A2,A3,A4,A5)  CCALLSFSUB5(DDERIV,dderiv,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB24(DFUNFT,dfunft,DOUBLE,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT)
#define DFUNFT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24)  CCALLSFSUB24(DFUNFT,dfunft,DOUBLE,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24)

PROTOCCALLSFSUB2(DIRCOS,dircos,FLOATV,FLOATV)
#define DIRCOS(A1,A2)  CCALLSFSUB2(DIRCOS,dircos,FLOATV,FLOATV,A1,A2)

PROTOCCALLSFSUB7(DIVON,divon,INT,FLOATV,FLOATV,FLOAT,INT,PFLOAT,PFLOAT)
#define DIVON(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DIVON,divon,INT,FLOATV,FLOATV,FLOAT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB19(DMAXLK,dmaxlk,DOUBLE,INT,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,DOUBLEV,INT)
#define DMAXLK(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)  CCALLSFSUB19(DMAXLK,dmaxlk,DOUBLE,INT,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,DOUBLEV,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)

PROTOCCALLSFSUB15(DSMPLX,dsmplx,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INT,INT,PINT,INT,DOUBLEV,PDOUBLE,PDOUBLE,PINT)
#define DSMPLX(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(DSMPLX,dsmplx,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INT,INT,PINT,INT,DOUBLEV,PDOUBLE,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB11(DSPAP1,dspap1,INT,INT,INT,DOUBLEV,DOUBLEV,INT,DOUBLEV,DOUBLEV,DOUBLEV,INT,PINT)
#define DSPAP1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(DSPAP1,dspap1,INT,INT,INT,DOUBLEV,DOUBLEV,INT,DOUBLEV,DOUBLEV,DOUBLEV,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB18(DSPAP2,dspap2,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,DOUBLEV,INT,PINT)
#define DSPAP2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18)  CCALLSFSUB18(DSPAP2,dspap2,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,DOUBLEV,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18)

PROTOCCALLSFSUB7(DSPCD1,dspcd1,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,PINT)
#define DSPCD1(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DSPCD1,dspcd1,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB12(DSPCD2,dspcd2,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PINT)
#define DSPCD2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DSPCD2,dspcd2,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB10(DSPIN1,dspin1,INT,INT,DOUBLEV,DOUBLEV,INT,PDOUBLE,DOUBLEV,DOUBLEV,PINT,PINT)
#define DSPIN1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(DSPIN1,dspin1,INT,INT,DOUBLEV,DOUBLEV,INT,PDOUBLE,DOUBLEV,DOUBLEV,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB16(DSPIN2,dspin2,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,INT,PDOUBLE,PDOUBLE,PDOUBLE,INT,PDOUBLE,PINT,PINT)
#define DSPIN2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)  CCALLSFSUB16(DSPIN2,dspin2,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,INT,PDOUBLE,PDOUBLE,PDOUBLE,INT,PDOUBLE,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)

PROTOCCALLSFSUB6(DSPKN1,dspkn1,INT,INT,DOUBLE,DOUBLE,PDOUBLE,PINT)
#define DSPKN1(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DSPKN1,dspkn1,INT,INT,DOUBLE,DOUBLE,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(DSPKN2,dspkn2,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PINT)
#define DSPKN2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(DSPKN2,dspkn2,INT,INT,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB6(DSPVD1,dspvd1,DOUBLE,INT,INT,DOUBLEV,PDOUBLE,PINT)
#define DSPVD1(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DSPVD1,dspvd1,DOUBLE,INT,INT,DOUBLEV,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB10(DSPVD2,dspvd2,DOUBLE,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PINT)
#define DSPVD2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(DSPVD2,dspvd2,DOUBLE,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB19(DSUMSQ,dsumsq,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT)
#define DSUMSQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)  CCALLSFSUB19(DSUMSQ,dsumsq,DOUBLE,INT,INT,INT,DOUBLEV,DOUBLEV,DOUBLEV,INT,DOUBLE,INT,INT,INT,INTV,DOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)

PROTOCCALLSFSUB3(DVCOPY,dvcopy,INT,DOUBLEV,PDOUBLE)
#define DVCOPY(A1,A2,A3)  CCALLSFSUB3(DVCOPY,dvcopy,INT,DOUBLEV,PDOUBLE,A1,A2,A3)

PROTOCCALLSFSUB0(DVNBKD,dvnbkd)
#define DVNBKD() CCALLSFSUB0(DVNBKD,dvnbkd)

PROTOCCALLSFSUB0(DVNOPT,dvnopt)
#define DVNOPT() CCALLSFSUB0(DVNOPT,dvnopt)

PROTOCCALLSFSUB11(ECONDE,econde,DOUBLEV,PDOUBLE,INT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,DOUBLEV,DOUBLEV,DOUBLEV)
#define ECONDE(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(ECONDE,econde,DOUBLEV,PDOUBLE,INT,PINT,DOUBLE,DOUBLE,DOUBLE,INT,DOUBLEV,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB8(ECTRAD,ectrad,DOUBLEV,INT,DOUBLEV,PINT,DOUBLE,DOUBLE,DOUBLE,INT)
#define ECTRAD(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(ECTRAD,ectrad,DOUBLEV,INT,DOUBLEV,PINT,DOUBLE,DOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB10(EISCG1,eiscg1,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,INT,FLOATV)
#define EISCG1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(EISCG1,eiscg1,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB7(EISCG2,eiscg2,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,INT)
#define EISCG2(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(EISCG2,eiscg2,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB9(EISCH1,eisch1,INT,INT,PFLOAT,PFLOAT,FLOATV,PFLOAT,PFLOAT,INT,FLOATV)
#define EISCH1(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(EISCH1,eisch1,INT,INT,PFLOAT,PFLOAT,FLOATV,PFLOAT,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB7(EISCH2,eisch2,INT,INT,PFLOAT,PFLOAT,FLOATV,INT,FLOATV)
#define EISCH2(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(EISCH2,eisch2,INT,INT,PFLOAT,PFLOAT,FLOATV,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB13(EISCH3,eisch3,INT,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,PFLOAT,INT,FLOATV)
#define EISCH3(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(EISCH3,eisch3,INT,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB11(EISCH4,eisch4,INT,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,FLOATV)
#define EISCH4(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(EISCH4,eisch4,INT,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB8(EISRG1,eisrg1,INT,INT,PFLOAT,FLOATV,FLOATV,PFLOAT,INT,FLOATV)
#define EISRG1(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(EISRG1,eisrg1,INT,INT,PFLOAT,FLOATV,FLOATV,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(EISRG2,eisrg2,INT,INT,PFLOAT,FLOATV,FLOATV,INT)
#define EISRG2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(EISRG2,eisrg2,INT,INT,PFLOAT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB7(EISRS1,eisrs1,INT,INT,PFLOAT,FLOATV,PFLOAT,INT,FLOATV)
#define EISRS1(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(EISRS1,eisrs1,INT,INT,PFLOAT,FLOATV,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(EISRS2,eisrs2,INT,INT,PFLOAT,FLOATV,INT,FLOATV)
#define EISRS2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(EISRS2,eisrs2,INT,INT,PFLOAT,FLOATV,INT,FLOATV,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(EISRS3,eisrs3,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,INT,FLOATV)
#define EISRS3(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(EISRS3,eisrs3,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB10(EISRS4,eisrs4,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,FLOATV)
#define EISRS4(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(EISRS4,eisrs4,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB7(EISST1,eisst1,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT,PFLOAT)
#define EISST1(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(EISST1,eisst1,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(EISST2,eisst2,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT)
#define EISST2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(EISST2,eisst2,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB11(EISST3,eisst3,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,INT,PFLOAT)
#define EISST3(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(EISST3,eisst3,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,PFLOAT,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB10(EISST4,eisst4,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,PFLOAT)
#define EISST4(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(EISST4,eisst4,INT,INT,PFLOAT,FLOAT,FLOAT,INT,INT,FLOATV,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB8(ELANAL,elanal,INT,INT,INT,PFLOAT,FLOATV,FLOATV,FLOATV,FLOATV)
#define ELANAL(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(ELANAL,elanal,INT,INT,INT,PFLOAT,FLOATV,FLOATV,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB5(ELFUN,elfun,FLOAT,FLOAT,PFLOAT,PFLOAT,PFLOAT)
#define ELFUN(A1,A2,A3,A4,A5)  CCALLSFSUB5(ELFUN,elfun,FLOAT,FLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DELFUN,delfun,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE)
#define DELFUN(A1,A2,A3,A4,A5)  CCALLSFSUB5(DELFUN,delfun,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(ELMBAK,elmbak,INT,INT,INT,PFLOAT,INTV,INT,PFLOAT)
#define ELMBAK(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(ELMBAK,elmbak,INT,INT,INT,PFLOAT,INTV,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(ELMHES,elmhes,INT,INT,INT,INT,PFLOAT,PINT)
#define ELMHES(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(ELMHES,elmhes,INT,INT,INT,INT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB12(ELPAHY,elpahy,PFLOAT,INT,INT,FLOAT,FLOAT,FLOATV,INT,FLOATV,FLOATV,INT,FLOATV,FLOATV)
#define ELPAHY(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(ELPAHY,elpahy,PFLOAT,INT,INT,FLOAT,FLOAT,FLOATV,INT,FLOATV,FLOATV,INT,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB7(ELTRAN,eltran,INT,INT,INT,INT,PFLOAT,INTV,PFLOAT)
#define ELTRAN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(ELTRAN,eltran,INT,INT,INT,INT,PFLOAT,INTV,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB13(EPDBPS,epdbps,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,FLOAT,PINT,PFLOAT,PFLOAT,PINT)
#define EPDBPS(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(EPDBPS,epdbps,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,FLOAT,PINT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB4(EPDCHK,epdchk,FLOATV,FLOATV,FLOATV,INT)
#define EPDCHK(A1,A2,A3,A4)  CCALLSFSUB4(EPDCHK,epdchk,FLOATV,FLOATV,FLOATV,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(EPDCHN,epdchn,FLOAT,FLOAT)
#define EPDCHN(A1,A2)  CCALLSFSUB2(EPDCHN,epdchn,FLOAT,FLOAT,A1,A2)

PROTOCCALLSFSUB4(EPDCJ,epdcj,PFLOAT,FLOATV,PINT,PFLOAT)
#define EPDCJ(A1,A2,A3,A4)  CCALLSFSUB4(EPDCJ,epdcj,PFLOAT,FLOATV,PINT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB0(EPDE1,epde1)
#define EPDE1() CCALLSFSUB0(EPDE1,epde1)

PROTOCCALLSFSUB0(EPDECC,epdecc)
#define EPDECC() CCALLSFSUB0(EPDECC,epdecc)

PROTOCCALLSFSUB2(EPDFIX,epdfix,INT,PINT)
#define EPDFIX(A1,A2)  CCALLSFSUB2(EPDFIX,epdfix,INT,PINT,A1,A2)

PROTOCCALLSFSUB4(EPDIN,epdin,FLOATV,FLOATV,PINT,PFLOAT)
#define EPDIN(A1,A2,A3,A4)  CCALLSFSUB4(EPDIN,epdin,FLOATV,FLOATV,PINT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(EPDITR,epditr,FLOAT,PFLOAT,PFLOAT,PINT,PFLOAT)
#define EPDITR(A1,A2,A3,A4,A5)  CCALLSFSUB5(EPDITR,epditr,FLOAT,PFLOAT,PFLOAT,PINT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(EPDJE,epdje,PFLOAT,FLOATV,PINT,PFLOAT)
#define EPDJE(A1,A2,A3,A4)  CCALLSFSUB4(EPDJE,epdje,PFLOAT,FLOATV,PINT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB11(EPDLOC,epdloc,INT,FLOAT,PFLOAT,INTV,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,FLOAT)
#define EPDLOC(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(EPDLOC,epdloc,INT,FLOAT,PFLOAT,INTV,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB4(EPDSRT,epdsrt,INT,INTV,PFLOAT,PFLOAT)
#define EPDSRT(A1,A2,A3,A4)  CCALLSFSUB4(EPDSRT,epdsrt,INT,INTV,PFLOAT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(EPDTAB,epdtab,INT,PFLOAT,FLOAT,INT,PINT)
#define EPDTAB(A1,A2,A3,A4,A5)  CCALLSFSUB5(EPDTAB,epdtab,INT,PFLOAT,FLOAT,INT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(EPSILO,epsilo,PDOUBLE,INT,INT,INT,PFLOAT)
#define EPSILO(A1,A2,A3,A4,A5)  CCALLSFSUB5(EPSILO,epsilo,PDOUBLE,INT,INT,INT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(ERPRIP,erprip,FLOATV,FLOATV,FLOATV,FLOATV)
#define ERPRIP(A1,A2,A3,A4)  CCALLSFSUB4(ERPRIP,erprip,FLOATV,FLOATV,FLOATV,FLOATV,A1,A2,A3,A4)

PROTOCCALLSFSUB1(ERRORF,errorf,INT)
#define ERRORF(A1)  CCALLSFSUB1(ERRORF,errorf,INT,A1)

PROTOCCALLSFSUB13(ESOLVE,esolve,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,INT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,INT)
#define ESOLVE(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(ESOLVE,esolve,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,INT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB9(FCN1,fcn1,INT,INT,FLOATV,FLOATV,INT,INT,FLOATV,INT,INT)
#define FCN1(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(FCN1,fcn1,INT,INT,FLOATV,FLOATV,INT,INT,FLOATV,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB11(FEASMV,feasmv,INT,INT,INTV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE,PINT,PINT)
#define FEASMV(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(FEASMV,feasmv,INT,INT,INTV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB4(FEQN,feqn,INT,DOUBLEV,DOUBLE,PDOUBLE)
#define FEQN(A1,A2,A3,A4)  CCALLSFSUB4(FEQN,feqn,INT,DOUBLEV,DOUBLE,PDOUBLE,A1,A2,A3,A4)

PROTOCCALLSFSUB6(FFTRC,fftrc,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT)
#define FFTRC(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(FFTRC,fftrc,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB7(FIGI,figi,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define FIGI(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(FIGI,figi,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(FIGI2,figi2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define FIGI2(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(FIGI2,figi2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB3(FINDEM,findem,FLOAT,INT,PFLOAT)
#define FINDEM(A1,A2,A3)  CCALLSFSUB3(FINDEM,findem,FLOAT,INT,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB19(FINDPC,findpc,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INTV,INTV,PINT,INTV,INTV,INT,PINT,INT,PDOUBLE,PDOUBLE,FLOAT,INT)
#define FINDPC(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)  CCALLSFSUB19(FINDPC,findpc,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INTV,INTV,PINT,INTV,INTV,INT,PINT,INT,PDOUBLE,PDOUBLE,FLOAT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)

PROTOCCALLSFSUB4(FRAME,frame,FLOAT,FLOAT,FLOAT,FLOAT)
#define FRAME(A1,A2,A3,A4)  CCALLSFSUB4(FRAME,frame,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB7(FRED1,fred1,FLOAT,FLOAT,FLOAT,FLOAT,INT,PFLOAT,INT)
#define FRED1(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(FRED1,fred1,FLOAT,FLOAT,FLOAT,FLOAT,INT,PFLOAT,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB10(FUMILI,fumili,PFLOAT,INT,INT,INT,INT,FLOAT,PFLOAT,PFLOAT,INT,PINT)
#define FUMILI(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(FUMILI,fumili,PFLOAT,INT,INT,INT,INT,FLOAT,PFLOAT,PFLOAT,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB4(FUNPRE,funpre,FLOAT,PFLOAT,FLOAT,FLOAT)
#define FUNPRE(A1,A2,A3,A4)  CCALLSFSUB4(FUNPRE,funpre,FLOAT,PFLOAT,FLOAT,FLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(FUNRAN,funran,FLOATV,PFLOAT)
#define FUNRAN(A1,A2)  CCALLSFSUB2(FUNRAN,funran,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB5(FUNZER,funzer,FLOAT,FLOAT,FLOAT,PFLOAT,PFLOAT)
#define FUNZER(A1,A2,A3,A4,A5)  CCALLSFSUB5(FUNZER,funzer,FLOAT,FLOAT,FLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(GATHER,gather,INT,PFLOAT,FLOATV,INTV)
#define GATHER(A1,A2,A3,A4)  CCALLSFSUB4(GATHER,gather,INT,PFLOAT,FLOATV,INTV,A1,A2,A3,A4)

PROTOCCALLSFSUB3(GENPNT,genpnt,INT,FLOATV,FLOAT)
#define GENPNT(A1,A2,A3)  CCALLSFSUB3(GENPNT,genpnt,INT,FLOATV,FLOAT,A1,A2,A3)

PROTOCCALLSFSUB1(GENT,gent,INT)
#define GENT(A1)  CCALLSFSUB1(GENT,gent,INT,A1)

PROTOCCALLSFSUB6(GETSCH,getsch,BYTE,BYTE,BYTE,INT,PBYTE,PINT)
#define GETSCH(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(GETSCH,getsch,BYTE,BYTE,BYTE,INT,PBYTE,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(GETSST,getsst,INTV,INT,INT,INT,INTV,PINT)
#define GETSST(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(GETSST,getsst,INTV,INT,INT,INT,INTV,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(GRAPH,graph,PINT,INT,INT,PINT,PINT,PINT)
#define GRAPH(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(GRAPH,graph,PINT,INT,INT,PINT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB9(GRDCMP,grdcmp,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,PDOUBLE)
#define GRDCMP(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(GRDCMP,grdcmp,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB12(H101S1,h101s1,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,INT,INT,INT,INT,INT,PINT,INT,PDOUBLE)
#define H101S1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(H101S1,h101s1,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,INT,INT,INT,INT,INT,PINT,INT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB15(H101S2,h101s2,PDOUBLE,DOUBLEV,DOUBLEV,INT,INT,INT,INT,PINT,INT,PINT,INT,PDOUBLE,PDOUBLE,DOUBLE,INT)
#define H101S2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(H101S2,h101s2,PDOUBLE,DOUBLEV,DOUBLEV,INT,INT,INT,INT,PINT,INT,PINT,INT,PDOUBLE,PDOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB9(ASSNDX,assndx,INT,PFLOAT,INT,INT,INT,PINT,PFLOAT,PINT,INT)
#define ASSNDX(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(ASSNDX,assndx,INT,PFLOAT,INT,INT,INT,PINT,PFLOAT,PINT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB5(HISRAN,hisran,FLOATV,INT,FLOAT,FLOAT,FLOAT)
#define HISRAN(A1,A2,A3,A4,A5)  CCALLSFSUB5(HISRAN,hisran,FLOATV,INT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB8(HQR,hqr,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define HQR(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(HQR,hqr,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB9(HQR2,hqr2,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define HQR2(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(HQR2,hqr2,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB8(HTRIBK,htribk,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT,PFLOAT,PFLOAT)
#define HTRIBK(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(HTRIBK,htribk,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(HTRIDI,htridi,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define HTRIDI(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(HTRIDI,htridi,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(I128,i128,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT)
#define I128(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(I128,i128,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(I32,i32,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT)
#define I32(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(I32,i32,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(I64,i64,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT)
#define I64(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(I64,i64,FLOATV,FLOATV,INT,FLOATV,FLOATV,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(IMTQL1,imtql1,INT,PFLOAT,PFLOAT,PINT)
#define IMTQL1(A1,A2,A3,A4)  CCALLSFSUB4(IMTQL1,imtql1,INT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB6(IMTQL2,imtql2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define IMTQL2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(IMTQL2,imtql2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB5(INTGRL,intgrl,INT,INT,INT,PFLOAT,PFLOAT)
#define INTGRL(A1,A2,A3,A4,A5)  CCALLSFSUB5(INTGRL,intgrl,INT,INT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB13(INVIT,invit,INT,INT,PFLOAT,PFLOAT,FLOATV,LOGICALV,INT,PINT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT)
#define INVIT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)  CCALLSFSUB13(INVIT,invit,INT,INT,PFLOAT,PFLOAT,FLOATV,LOGICALV,INT,PINT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13)

PROTOCCALLSFSUB0(J509BD,j509bd)
#define J509BD() CCALLSFSUB0(J509BD,j509bd)

PROTOCCALLSFSUB5(LDLSOL,ldlsol,INT,INT,PDOUBLE,DOUBLEV,PDOUBLE)
#define LDLSOL(A1,A2,A3,A4,A5)  CCALLSFSUB5(LDLSOL,ldlsol,INT,INT,PDOUBLE,DOUBLEV,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB0(LEG1,leg1)
#define LEG1() CCALLSFSUB0(LEG1,leg1)

PROTOCCALLSFSUB0(LEGOR,legor)
#define LEGOR() CCALLSFSUB0(LEGOR,legor)

PROTOCCALLSFSUB0(LEGV,legv)
#define LEGV() CCALLSFSUB0(LEGV,legv)

PROTOCCALLSFSUB0(LEGZ,legz)
#define LEGZ() CCALLSFSUB0(LEGZ,legz)

PROTOCCALLSFSUB7(LFIT,lfit,FLOATV,FLOATV,INT,INT,PFLOAT,PFLOAT,PFLOAT)
#define LFIT(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(LFIT,lfit,FLOATV,FLOATV,INT,INT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB8(LFITW,lfitw,FLOATV,FLOATV,FLOATV,INT,INT,PFLOAT,PFLOAT,PFLOAT)
#define LFITW(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(LFITW,lfitw,FLOATV,FLOATV,FLOATV,INT,INT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB12(LIHOIN,lihoin,PFLOAT,INT,INT,INT,INT,PFLOAT,INT,PINT,FLOAT,INT,PFLOAT,PINT)
#define LIHOIN(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(LIHOIN,lihoin,PFLOAT,INT,INT,INT,INT,PFLOAT,INT,PINT,FLOAT,INT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(DLHOIN,dlhoin,PDOUBLE,INT,INT,INT,INT,PDOUBLE,INT,PINT,DOUBLE,INT,PDOUBLE,PINT)
#define DLHOIN(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(DLHOIN,dlhoin,PDOUBLE,INT,INT,INT,INT,PDOUBLE,INT,PINT,DOUBLE,INT,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB12(LINSQ,linsq,INT,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PDOUBLE,FLOAT,FLOAT,PFLOAT)
#define LINSQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(LINSQ,linsq,INT,INT,INT,PFLOAT,PFLOAT,FLOATV,FLOATV,PFLOAT,PDOUBLE,FLOAT,FLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB8(D508R1,d508r1,PDOUBLE,INT,INT,INT,INT,PINT,PINT,PDOUBLE)
#define D508R1(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(D508R1,d508r1,PDOUBLE,INT,INT,INT,INT,PINT,PINT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(D508R2,d508r2,PDOUBLE,INT,INT,FLOAT,INT,INTV,PINT,PDOUBLE)
#define D508R2(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(D508R2,d508r2,PDOUBLE,INT,INT,FLOAT,INT,INTV,PINT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB16(LOCSCH,locsch,INT,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,PINT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE)
#define LOCSCH(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)  CCALLSFSUB16(LOCSCH,locsch,INT,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,PINT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16)

PROTOCCALLSFSUB9(LRCH,lrch,INT,INT,PFLOAT,FLOAT,INT,PFLOAT,INT,INT,PFLOAT)
#define LRCH(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(LRCH,lrch,INT,INT,PFLOAT,FLOAT,INT,PFLOAT,INT,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB10(LSQQR,lsqqr,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,PLOGICAL,PFLOAT)
#define LSQQR(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(LSQQR,lsqqr,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,PLOGICAL,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB4(MAP,map,FLOAT,FLOAT,FLOAT,FLOAT)
#define MAP(A1,A2,A3,A4)  CCALLSFSUB4(MAP,map,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB1(MCONV,mconv,INT)
#define MCONV(A1)  CCALLSFSUB1(MCONV,mconv,INT,A1)

PROTOCCALLSFSUB6(MFT,mft,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT)
#define MFT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(MFT,mft,INT,INT,PFLOAT,PFLOAT,PFLOAT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB8(RMINFC,rminfc,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,PFLOAT,PLOGICAL)
#define RMINFC(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RMINFC,rminfc,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,PFLOAT,PLOGICAL,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DMINFC,dminfc,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PLOGICAL)
#define DMINFC(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DMINFC,dminfc,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PLOGICAL,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB11(MINSQ,minsq,INT,INT,PFLOAT,PFLOAT,FLOATV,INT,INT,INT,PFLOAT,FLOAT,FLOAT)
#define MINSQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(MINSQ,minsq,INT,INT,PFLOAT,PFLOAT,FLOATV,INT,INT,INT,PFLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB6(MODCHL,modchl,INT,INT,PDOUBLE,DOUBLE,PDOUBLE,PINT)
#define MODCHL(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(MODCHL,modchl,INT,INT,PDOUBLE,DOUBLE,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB8(MONITO,monito,FLOAT,INT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT)
#define MONITO(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(MONITO,monito,FLOAT,INT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB3(MTLPRT,mtlprt,STRING,STRING,STRING)
#define MTLPRT(A1,A2,A3)  CCALLSFSUB3(MTLPRT,mtlprt,STRING,STRING,STRING,A1,A2,A3)

PROTOCCALLSFSUB4(MTLSET,mtlset,STRING,INT,INT,INT)
#define MTLSET(A1,A2,A3,A4)  CCALLSFSUB4(MTLSET,mtlset,STRING,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB14(MULCHK,mulchk,INT,INT,INTV,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,PLOGICAL,PINT,PINT)
#define MULCHK(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)  CCALLSFSUB14(MULCHK,mulchk,INT,INT,INTV,INT,DOUBLE,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,PLOGICAL,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14)

PROTOCCALLSFSUB5(MUNOMI,munomi,INT,INT,PFLOAT,PINT,PINT)
#define MUNOMI(A1,A2,A3,A4,A5)  CCALLSFSUB5(MUNOMI,munomi,INT,INT,PFLOAT,PINT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB10(MXDIPR,mxdipr,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,INT,INT)
#define MXDIPR(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(MXDIPR,mxdipr,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB6(MXSTEP,mxstep,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE)
#define MXSTEP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(MXSTEP,mxstep,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB2(NAMES,names,INT,INT)
#define NAMES(A1,A2)  CCALLSFSUB2(NAMES,names,INT,INT,A1,A2)

PROTOCCALLSFSUB3(NAMEZB,namezb,FLOAT,INT,INT)
#define NAMEZB(A1,A2,A3)  CCALLSFSUB3(NAMEZB,namezb,FLOAT,INT,INT,A1,A2,A3)
/*
PROTOCCALLSFSUB29(NEWPTQ,newptq,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT,PINT)
#define NEWPTQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28,A29)  CCALLSFSUB29(NEWPTQ,newptq,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27,A28,A29)
*/
PROTOCCALLSFSUB9(NEWRO,newro,INT,INT,INT,FLOAT,PFLOAT,FLOATV,FLOATV,FLOATV,FLOATV)
#define NEWRO(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(NEWRO,newro,INT,INT,INT,FLOAT,PFLOAT,FLOATV,FLOATV,FLOATV,FLOATV,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB6(NMDCHL,nmdchl,INT,INT,PDOUBLE,DOUBLE,PDOUBLE,PDOUBLE)
#define NMDCHL(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(NMDCHL,nmdchl,INT,INT,PDOUBLE,DOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB8(NOCUT,nocut,INT,DOUBLEV,DOUBLEV,PDOUBLE,PINT,PINT,PDOUBLE,PINT)
#define NOCUT(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(NOCUT,nocut,INT,DOUBLEV,DOUBLEV,PDOUBLE,PINT,PINT,PDOUBLE,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB5(NODAUD,nodaud,PINT,INT,INT,INT,PINT)
#define NODAUD(A1,A2,A3,A4,A5)  CCALLSFSUB5(NODAUD,nodaud,PINT,INT,INT,INT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(NORMCO,normco,PFLOAT,PFLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define NORMCO(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(NORMCO,normco,PFLOAT,PFLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB2(NRAN,nran,PFLOAT,INT)
#define NRAN(A1,A2)  CCALLSFSUB2(NRAN,nran,PFLOAT,INT,A1,A2)

PROTOCCALLSFSUB0(MINNEW,minnew)
#define MINNEW() CCALLSFSUB0(MINNEW,minnew)

PROTOCCALLSFSUB3(ORDRE2,ordre2,PFLOAT,PFLOAT,INT)
#define ORDRE2(A1,A2,A3)  CCALLSFSUB3(ORDRE2,ordre2,PFLOAT,PFLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB7(ORTBAK,ortbak,INT,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT)
#define ORTBAK(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(ORTBAK,ortbak,INT,INT,INT,PFLOAT,PFLOAT,INT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(ORTHES,orthes,INT,INT,INT,INT,PFLOAT,PFLOAT)
#define ORTHES(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(ORTHES,orthes,INT,INT,INT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB12(ORTHVC,orthvc,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE)
#define ORTHVC(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(ORTHVC,orthvc,INT,INT,INTV,DOUBLEV,DOUBLE,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB7(ORTRAN,ortran,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT)
#define ORTRAN(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(ORTRAN,ortran,INT,INT,INT,INT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB2(PAPER,paper,INT,INT)
#define PAPER(A1,A2)  CCALLSFSUB2(PAPER,paper,INT,INT,A1,A2)

PROTOCCALLSFSUB5(PARLSQ,parlsq,FLOATV,FLOATV,INT,PFLOAT,PFLOAT)
#define PARLSQ(A1,A2,A3,A4,A5)  CCALLSFSUB5(PARLSQ,parlsq,FLOATV,FLOATV,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(PARTN,partn,INT,FLOATV,FLOATV,FLOAT,INT)
#define PARTN(A1,A2,A3,A4,A5)  CCALLSFSUB5(PARTN,partn,INT,FLOATV,FLOATV,FLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB2(PERMU,permu,PINT,INT)
#define PERMU(A1,A2)  CCALLSFSUB2(PERMU,permu,PINT,INT,A1,A2)

PROTOCCALLSFSUB6(PGRAPH,pgraph,PINT,INT,INT,PINT,INT,PINT)
#define PGRAPH(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(PGRAPH,pgraph,PINT,INT,INT,PINT,INT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB12(PIVOT,pivot,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,INT,INT,INT,INT,INT,PINT,PINT,FLOAT)
#define PIVOT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(PIVOT,pivot,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,INT,INT,INT,INT,INT,PINT,PINT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB3(POISSN,poissn,FLOAT,PINT,PINT)
#define POISSN(A1,A2,A3)  CCALLSFSUB3(POISSN,poissn,FLOAT,PINT,PINT,A1,A2,A3)

PROTOCCALLSFSUB7(POLROT,polrot,FLOAT,FLOAT,PFLOAT,PFLOAT,FLOAT,FLOAT,FLOAT)
#define POLROT(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(POLROT,polrot,FLOAT,FLOAT,PFLOAT,PFLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB3(PRIPAR,pripar,FLOATV,FLOATV,PFLOAT)
#define PRIPAR(A1,A2,A3)  CCALLSFSUB3(PRIPAR,pripar,FLOATV,FLOATV,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB5(PROC1,proc1,PFLOAT,PFLOAT,INT,INT,INT)
#define PROC1(A1,A2,A3,A4,A5)  CCALLSFSUB5(PROC1,proc1,PFLOAT,PFLOAT,INT,INT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(QFUNCT,qfunct,FLOAT,PFLOAT,PFLOAT)
#define QFUNCT(A1,A2,A3)  CCALLSFSUB3(QFUNCT,qfunct,FLOAT,PFLOAT,PFLOAT,A1,A2,A3)

PROTOCCALLSFSUB4(QUASI,quasi,PFLOAT,INT,INT,INT)
#define QUASI(A1,A2,A3,A4)  CCALLSFSUB4(QUASI,quasi,PFLOAT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(RAN3D,ran3d,PFLOAT,PFLOAT,PFLOAT,FLOAT)
#define RAN3D(A1,A2,A3,A4)  CCALLSFSUB4(RAN3D,ran3d,PFLOAT,PFLOAT,PFLOAT,FLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB2(RANUMS,ranums,PFLOAT,INT)
#define RANUMS(A1,A2)  CCALLSFSUB2(RANUMS,ranums,PFLOAT,INT,A1,A2)

PROTOCCALLSFSUB12(RATQR,ratqr,INT,FLOAT,FLOATV,FLOATV,PFLOAT,INT,PFLOAT,PINT,PFLOAT,LOGICAL,INT,PINT)
#define RATQR(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RATQR,ratqr,INT,FLOAT,FLOATV,FLOATV,PFLOAT,INT,PFLOAT,PINT,PFLOAT,LOGICAL,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB5(RCA,rca,INT,FLOATV,INT,PFLOAT,INT)
#define RCA(A1,A2,A3,A4,A5)  CCALLSFSUB5(RCA,rca,INT,FLOATV,INT,PFLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB3(RCHPWS,rchpws,INT,FLOAT,FLOAT)
#define RCHPWS(A1,A2,A3)  CCALLSFSUB3(RCHPWS,rchpws,INT,FLOAT,FLOAT,A1,A2,A3)

PROTOCCALLSFSUB10(RCSPLN,rcspln,INT,FLOAT,INT,FLOAT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT)
#define RCSPLN(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(RCSPLN,rcspln,INT,FLOAT,INT,FLOAT,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB10(DCSPLN,dcspln,INT,DOUBLEV,INT,PDOUBLE,INT,INT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE)
#define DCSPLN(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(DCSPLN,dcspln,INT,DOUBLEV,INT,PDOUBLE,INT,INT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB12(RECPAR,recpar,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,PINT,PINT,FLOATV,PINT,FLOATV,INT)
#define RECPAR(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(RECPAR,recpar,INT,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,PINT,PINT,FLOATV,PINT,FLOATV,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB8(RFRDH1,rfrdh1,FLOAT,FLOAT,INT,FLOAT,INT,FLOAT,INT,INT)
#define RFRDH1(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(RFRDH1,rfrdh1,FLOAT,FLOAT,INT,FLOAT,INT,FLOAT,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(DFRDH1,dfrdh1,DOUBLE,DOUBLE,INT,DOUBLEV,INTV,PDOUBLE,INT,PINT)
#define DFRDH1(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(DFRDH1,dfrdh1,DOUBLE,DOUBLE,INT,DOUBLEV,INTV,PDOUBLE,INT,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(RFT,rft,INT,FLOATV,INT,FLOATV,INT,INT)
#define RFT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RFT,rft,INT,FLOATV,INT,FLOATV,INT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB1(RIWIAD,riwiad,DOUBLE)
#define RIWIAD(A1)  CCALLSFSUB1(RIWIAD,riwiad,DOUBLE,A1)

PROTOCCALLSFSUB0(RIWIBD,riwibd)
#define RIWIBD() CCALLSFSUB0(RIWIBD,riwibd)

PROTOCCALLSFSUB7(DRKNYS,drknys,INT,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE)
#define DRKNYS(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(DRKNYS,drknys,INT,DOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB7(RKNYS,rknys,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define RKNYS(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RKNYS,rknys,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB6(RKSTP,rkstp,INT,FLOAT,PFLOAT,PFLOAT,FLOAT,PFLOAT)
#define RKSTP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(RKSTP,rkstp,INT,FLOAT,PFLOAT,PFLOAT,FLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(DRKSTP,drkstp,INT,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE)
#define DRKSTP(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(DRKSTP,drkstp,INT,DOUBLE,PDOUBLE,PDOUBLE,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB3(RLEN,rlen,INT,DOUBLEV,PDOUBLE)
#define RLEN(A1,A2,A3)  CCALLSFSUB3(RLEN,rlen,INT,DOUBLEV,PDOUBLE,A1,A2,A3)

PROTOCCALLSFSUB4(RMULLZ,rmullz,FLOAT,INT,INT,FLOAT)
#define RMULLZ(A1,A2,A3,A4)  CCALLSFSUB4(RMULLZ,rmullz,FLOAT,INT,INT,FLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(DGSET,dgset,DOUBLE,DOUBLE,INT,DOUBLEV,DOUBLEV)
#define DGSET(A1,A2,A3,A4,A5)  CCALLSFSUB5(DGSET,dgset,DOUBLE,DOUBLE,INT,DOUBLEV,DOUBLEV,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(ROTATE,rotate,PFLOAT,PFLOAT,FLOAT,FLOAT,INT)
#define ROTATE(A1,A2,A3,A4,A5)  CCALLSFSUB5(ROTATE,rotate,PFLOAT,PFLOAT,FLOAT,FLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(RPA,rpa,INT,FLOATV,INT,PFLOAT,INT)
#define RPA(A1,A2,A3,A4,A5)  CCALLSFSUB5(RPA,rpa,INT,FLOATV,INT,PFLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(RPS,rps,INT,FLOATV,INT,PFLOAT,INT)
#define RPS(A1,A2,A3,A4,A5)  CCALLSFSUB5(RPS,rps,INT,FLOATV,INT,PFLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(RSA,rsa,INT,FLOATV,INT,PFLOAT,INT)
#define RSA(A1,A2,A3,A4,A5)  CCALLSFSUB5(RSA,rsa,INT,FLOATV,INT,PFLOAT,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB15(RSMPLX,rsmplx,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,INT,INT,INT,INT,INT,FLOAT,FLOAT,FLOAT,INT)
#define RSMPLX(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(RSMPLX,rsmplx,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,INT,INT,INT,INT,INT,FLOAT,FLOAT,FLOAT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB9(RSRTNT,rsrtnt,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,LOGICAL)
#define RSRTNT(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(RSRTNT,rsrtnt,INT,INT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,PFLOAT,LOGICAL,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB9(DSRTNT,dsrtnt,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PLOGICAL)
#define DSRTNT(A1,A2,A3,A4,A5,A6,A7,A8,A9)  CCALLSFSUB9(DSRTNT,dsrtnt,INT,INT,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PLOGICAL,A1,A2,A3,A4,A5,A6,A7,A8,A9)

PROTOCCALLSFSUB5(RTEQ3,rteq3,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT)
#define RTEQ3(A1,A2,A3,A4,A5)  CCALLSFSUB5(RTEQ3,rteq3,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB5(DRTEQ3,drteq3,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE)
#define DRTEQ3(A1,A2,A3,A4,A5)  CCALLSFSUB5(DRTEQ3,drteq3,DOUBLE,DOUBLE,DOUBLE,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(RTEQ4,rteq4,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT)
#define RTEQ4(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(RTEQ4,rteq4,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,FLOAT,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB2(S128,s128,FLOATV,PFLOAT)
#define S128(A1,A2)  CCALLSFSUB2(S128,s128,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(S256,s256,FLOATV,PFLOAT)
#define S256(A1,A2)  CCALLSFSUB2(S256,s256,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(S512,s512,FLOATV,PFLOAT)
#define S512(A1,A2)  CCALLSFSUB2(S512,s512,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(S64,s64,FLOATV,PFLOAT)
#define S64(A1,A2)  CCALLSFSUB2(S64,s64,FLOATV,PFLOAT,A1,A2)

PROTOCCALLSFSUB2(SCAL,scal,INT,PFLOAT)
#define SCAL(A1,A2)  CCALLSFSUB2(SCAL,scal,INT,PFLOAT,A1,A2)

PROTOCCALLSFSUB4(SCATTER,scatter,INT,PFLOAT,INTV,FLOATV)
#define SCATTER(A1,A2,A3,A4)  CCALLSFSUB4(SCATTER,scatter,INT,PFLOAT,INTV,FLOATV,A1,A2,A3,A4)

PROTOCCALLSFSUB8(SETTOL,settol,INT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT,PINT)
#define SETTOL(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(SETTOL,settol,INT,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PDOUBLE,PINT,PINT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB8(SETUP,setup,FLOAT,INT,FLOAT,INT,FLOAT,INT,FLOAT,INT)
#define SETUP(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(SETUP,setup,FLOAT,INT,FLOAT,INT,FLOAT,INT,FLOAT,INT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB2(SGZ,sgz,INT,PFLOAT)
#define SGZ(A1,A2)  CCALLSFSUB2(SGZ,sgz,INT,PFLOAT,A1,A2)

PROTOCCALLSFSUB5(SHRNK,shrnk,INT,INT,PDOUBLE,INT,PDOUBLE)
#define SHRNK(A1,A2,A3,A4,A5)  CCALLSFSUB5(SHRNK,shrnk,INT,INT,PDOUBLE,INT,PDOUBLE,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB12(SIMPLE,simple,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INTV,INT,INTV,INTV,INTV,PDOUBLE,INT,INT)
#define SIMPLE(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)  CCALLSFSUB12(SIMPLE,simple,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INTV,INT,INTV,INTV,INTV,PDOUBLE,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12)

PROTOCCALLSFSUB8(SLV,slv,INT,INT,PFLOAT,FLOATV,INTV,PFLOAT,PFLOAT,PFLOAT)
#define SLV(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(SLV,slv,INT,INT,PFLOAT,FLOATV,INTV,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB10(SNLEQ,snleq,INT,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,INT,FLOAT,FLOAT)
#define SNLEQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(SNLEQ,snleq,INT,FLOAT,FLOAT,FLOAT,FLOAT,INT,INT,INT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB10(DSNLEQ,dsnleq,INT,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,INT,INT,PINT,DOUBLE,PDOUBLE)
#define DSNLEQ(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(DSNLEQ,dsnleq,INT,PDOUBLE,PDOUBLE,DOUBLE,DOUBLE,INT,INT,PINT,DOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB4(SORTDQ,sortdq,PDOUBLE,INT,INT,INT)
#define SORTDQ(A1,A2,A3,A4)  CCALLSFSUB4(SORTDQ,sortdq,PDOUBLE,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SORTIQ,sortiq,PINT,INT,INT,INT)
#define SORTIQ(A1,A2,A3,A4)  CCALLSFSUB4(SORTIQ,sortiq,PINT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB4(SORTRQ,sortrq,PFLOAT,INT,INT,INT)
#define SORTRQ(A1,A2,A3,A4)  CCALLSFSUB4(SORTRQ,sortrq,PFLOAT,INT,INT,INT,A1,A2,A3,A4)

PROTOCCALLSFSUB5(SPLAN0,splan0,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,INT)
#define SPLAN0(A1,A2,A3,A4,A5)  CCALLSFSUB5(SPLAN0,splan0,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(SPLAN1,splan1,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT)
#define SPLAN1(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(SPLAN1,splan1,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB7(SPLAN2,splan2,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT)
#define SPLAN2(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(SPLAN2,splan2,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB8(SPLAN3,splan3,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT)
#define SPLAN3(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(SPLAN3,splan3,PDOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,DOUBLE,INT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB15(SPLAS1,splas1,INT,INT,INT,INT,DOUBLEV,DOUBLEV,INT,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,INT,DOUBLEV,PINT)
#define SPLAS1(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(SPLAS1,splas1,INT,INT,INT,INT,DOUBLEV,DOUBLEV,INT,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,PDOUBLE,INT,DOUBLEV,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB26(SPLAS2,splas2,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT,PDOUBLE,INT)
#define SPLAS2(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26)  CCALLSFSUB26(SPLAS2,splas2,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,INT,DOUBLEV,DOUBLEV,PDOUBLE,INT,PDOUBLE,PDOUBLE,PDOUBLE,DOUBLEV,PDOUBLE,DOUBLEV,DOUBLEV,INT,PDOUBLE,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26)

PROTOCCALLSFSUB11(SPLIN3,splin3,FLOATV,FLOATV,PFLOAT,INT,INT,FLOATV,PFLOAT,PFLOAT,INT,INT,INT)
#define SPLIN3(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(SPLIN3,splin3,FLOATV,FLOATV,PFLOAT,INT,INT,FLOATV,PFLOAT,PFLOAT,INT,INT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB10(SPLIT,split,INT,FLOATV,FLOATV,FLOAT,FLOAT,PLOGICAL,PINT,PFLOAT,PFLOAT,INT)
#define SPLIT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(SPLIT,split,INT,FLOATV,FLOATV,FLOAT,FLOAT,PLOGICAL,PINT,PFLOAT,PFLOAT,INT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB17(SPLX,splx,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INT,INT,PINT,PINT,PINT,PINT,PINT,DOUBLEV,DOUBLEV,PINT)
#define SPLX(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17)  CCALLSFSUB17(SPLX,splx,PDOUBLE,DOUBLEV,DOUBLEV,DOUBLE,INT,INT,INT,INT,INT,PINT,PINT,PINT,PINT,PINT,DOUBLEV,DOUBLEV,PINT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17)

PROTOCCALLSFSUB3(SPXINV,spxinv,PFLOAT,INT,PINT)
#define SPXINV(A1,A2,A3)  CCALLSFSUB3(SPXINV,spxinv,PFLOAT,INT,PINT,A1,A2,A3)

PROTOCCALLSFSUB10(SVD,svd,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,LOGICAL,LOGICAL)
#define SVD(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)  CCALLSFSUB10(SVD,svd,PFLOAT,PFLOAT,PFLOAT,INT,INT,INT,INT,INT,LOGICAL,LOGICAL,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10)

PROTOCCALLSFSUB4(SYNT,synt,INT,INT,INT,PFLOAT)
#define SYNT(A1,A2,A3,A4)  CCALLSFSUB4(SYNT,synt,INT,INT,INT,PFLOAT,A1,A2,A3,A4)

PROTOCCALLSFSUB7(TAYCHD,taychd,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,INT,INT,PDOUBLE)
#define TAYCHD(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(TAYCHD,taychd,DOUBLE,DOUBLE,DOUBLEV,PDOUBLE,INT,INT,PDOUBLE,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB15(TINVIT,tinvit,INT,INT,FLOATV,FLOATV,FLOATV,INT,FLOATV,INTV,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define TINVIT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)  CCALLSFSUB15(TINVIT,tinvit,INT,INT,FLOATV,FLOATV,FLOATV,INT,FLOATV,INTV,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15)

PROTOCCALLSFSUB5(TKOLMO,tkolmo,FLOATV,INT,FLOATV,INT,PFLOAT)
#define TKOLMO(A1,A2,A3,A4,A5)  CCALLSFSUB5(TKOLMO,tkolmo,FLOATV,INT,FLOATV,INT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB4(TQL1,tql1,INT,PFLOAT,PFLOAT,PINT)
#define TQL1(A1,A2,A3,A4)  CCALLSFSUB4(TQL1,tql1,INT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4)

PROTOCCALLSFSUB6(TQL2,tql2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT)
#define TQL2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TQL2,tql2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB4(TRANSD,transd,DOUBLEV,PDOUBLE,INT,DOUBLEV)
#define TRANSD(A1,A2,A3,A4)  CCALLSFSUB4(TRANSD,transd,DOUBLEV,PDOUBLE,INT,DOUBLEV,A1,A2,A3,A4)

PROTOCCALLSFSUB8(TRAPER,traper,FLOATV,FLOATV,FLOATV,INT,FLOAT,FLOAT,PFLOAT,PFLOAT)
#define TRAPER(A1,A2,A3,A4,A5,A6,A7,A8)  CCALLSFSUB8(TRAPER,traper,FLOATV,FLOATV,FLOATV,INT,FLOAT,FLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8)

PROTOCCALLSFSUB6(TRBAK1,trbak1,INT,INT,PFLOAT,FLOATV,INT,PFLOAT)
#define TRBAK1(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TRBAK1,trbak1,INT,INT,PFLOAT,FLOATV,INT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB0(TRDZ,trdz)
#define TRDZ() CCALLSFSUB0(TRDZ,trdz)

PROTOCCALLSFSUB5(TREAUD,treaud,PINT,INT,PINT,INT,PINT)
#define TREAUD(A1,A2,A3,A4,A5)  CCALLSFSUB5(TREAUD,treaud,PINT,INT,PINT,INT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(TRED1,tred1,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define TRED1(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TRED1,tred1,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(TRED2,tred2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define TRED2(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(TRED2,tred2,INT,INT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB1(TREDMP,tredmp,INT)
#define TREDMP(A1)  CCALLSFSUB1(TREDMP,tredmp,INT,A1)

PROTOCCALLSFSUB5(TREVNI,trevni,INTV,INT,PINT,INT,PINT)
#define TREVNI(A1,A2,A3,A4,A5)  CCALLSFSUB5(TREVNI,trevni,INTV,INT,PINT,INT,PINT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB7(TRICOF,tricof,PFLOAT,INT,PFLOAT,INT,PFLOAT,INT,INT)
#define TRICOF(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(TRICOF,tricof,PFLOAT,INT,PFLOAT,INT,PFLOAT,INT,INT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB11(TSTEXT,tstext,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,PINT,INT,PINT,PDOUBLE,PDOUBLE)
#define TSTEXT(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)  CCALLSFSUB11(TSTEXT,tstext,INT,DOUBLEV,DOUBLEV,DOUBLEV,DOUBLE,DOUBLE,PINT,INT,PINT,PDOUBLE,PDOUBLE,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11)

PROTOCCALLSFSUB19(TSTURM,tsturm,INT,INT,FLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,PFLOAT,INT,PINT,PFLOAT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT)
#define TSTURM(A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)  CCALLSFSUB19(TSTURM,tsturm,INT,INT,FLOAT,FLOATV,FLOATV,PFLOAT,PFLOAT,PFLOAT,INT,PINT,PFLOAT,PFLOAT,PINT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,A16,A17,A18,A19)

PROTOCCALLSFSUB3(TUP,tup,INTV,INT,INT)
#define TUP(A1,A2,A3)  CCALLSFSUB3(TUP,tup,INTV,INT,INT,A1,A2,A3)

PROTOCCALLSFSUB3(U100DV,u100dv,INTV,INTV,PINT)
#define U100DV(A1,A2,A3)  CCALLSFSUB3(U100DV,u100dv,INTV,INTV,PINT,A1,A2,A3)

PROTOCCALLSFSUB2(U100FC,u100fc,INT,PINT)
#define U100FC(A1,A2)  CCALLSFSUB2(U100FC,u100fc,INT,PINT,A1,A2)

PROTOCCALLSFSUB3(U100PM,u100pm,INTV,PINT,PINT)
#define U100PM(A1,A2,A3)  CCALLSFSUB3(U100PM,u100pm,INTV,PINT,PINT,A1,A2,A3)

PROTOCCALLSFSUB3(U100PR,u100pr,PINT,PINT,PINT)
#define U100PR(A1,A2,A3)  CCALLSFSUB3(U100PR,u100pr,PINT,PINT,PINT,A1,A2,A3)

PROTOCCALLSFSUB6(USRINT,usrint,FLOAT,FLOAT,INT,FLOAT,INT,FLOAT)
#define USRINT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(USRINT,usrint,FLOAT,FLOAT,INT,FLOAT,INT,FLOAT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB3(VAVSET,vavset,FLOAT,FLOAT,INT)
#define VAVSET(A1,A2,A3)  CCALLSFSUB3(VAVSET,vavset,FLOAT,FLOAT,INT,A1,A2,A3)

PROTOCCALLSFSUB6(VAVZRO,vavzro,FLOAT,FLOAT,PFLOAT,FLOAT,FLOAT,INT)
#define VAVZRO(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(VAVZRO,vavzro,FLOAT,FLOAT,PFLOAT,FLOAT,FLOAT,INT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB7(VD01A,vd01a,PINT,PFLOAT,PFLOAT,INT,FLOAT,FLOAT,FLOAT)
#define VD01A(A1,A2,A3,A4,A5,A6,A7)  CCALLSFSUB7(VD01A,vd01a,PINT,PFLOAT,PFLOAT,INT,FLOAT,FLOAT,FLOAT,A1,A2,A3,A4,A5,A6,A7)

PROTOCCALLSFSUB5(VVISET,vviset,FLOAT,FLOAT,INT,PFLOAT,PFLOAT)
#define VVISET(A1,A2,A3,A4,A5)  CCALLSFSUB5(VVISET,vviset,FLOAT,FLOAT,INT,PFLOAT,PFLOAT,A1,A2,A3,A4,A5)

PROTOCCALLSFSUB6(WHENEQ,wheneq,INT,INTV,INT,INT,PINT,PINT)
#define WHENEQ(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENEQ,wheneq,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENFGE,whenfge,INT,FLOATV,INT,FLOAT,PINT,PINT)
#define WHENFGE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENFGE,whenfge,INT,FLOATV,INT,FLOAT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENFGT,whenfgt,INT,FLOATV,INT,FLOAT,PINT,PINT)
#define WHENFGT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENFGT,whenfgt,INT,FLOATV,INT,FLOAT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENFLE,whenfle,INT,FLOATV,INT,FLOAT,PINT,PINT)
#define WHENFLE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENFLE,whenfle,INT,FLOATV,INT,FLOAT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENFLT,whenflt,INT,FLOATV,INT,FLOAT,PINT,PINT)
#define WHENFLT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENFLT,whenflt,INT,FLOATV,INT,FLOAT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENIGE,whenige,INT,INTV,INT,INT,PINT,PINT)
#define WHENIGE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENIGE,whenige,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENIGT,whenigt,INT,INTV,INT,INT,PINT,PINT)
#define WHENIGT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENIGT,whenigt,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENILE,whenile,INT,INTV,INT,INT,PINT,PINT)
#define WHENILE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENILE,whenile,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENILT,whenilt,INT,INTV,INT,INT,PINT,PINT)
#define WHENILT(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENILT,whenilt,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(WHENNE,whenne,INT,INTV,INT,INT,PINT,PINT)
#define WHENNE(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(WHENNE,whenne,INT,INTV,INT,INT,PINT,PINT,A1,A2,A3,A4,A5,A6)

PROTOCCALLSFSUB6(ZEROX,zerox,FLOAT,FLOAT,FLOAT,INT,FLOAT,INT)
#define ZEROX(A1,A2,A3,A4,A5,A6)  CCALLSFSUB6(ZEROX,zerox,FLOAT,FLOAT,FLOAT,INT,FLOAT,INT,A1,A2,A3,A4,A5,A6)

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* #ifndef _GEN_H */
